GNU bug report logs - #18405
24.3.93; bat-mode.el

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Achim Gratz <Stromeko@HIDDEN>; dated Thu, 4 Sep 2014 18:46:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 18405 <at> debbugs.gnu.org:


Received: (at 18405) by debbugs.gnu.org; 23 Sep 2017 18:18:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 23 14:18:18 2017
Received: from localhost ([127.0.0.1]:54862 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dvp0K-0003jb-JM
	for submit <at> debbugs.gnu.org; Sat, 23 Sep 2017 14:18:16 -0400
Received: from eggs.gnu.org ([208.118.235.92]:39719)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1dvp0J-0003jO-0v
 for 18405 <at> debbugs.gnu.org; Sat, 23 Sep 2017 14:18:15 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1dvp0A-0006dr-RX
 for 18405 <at> debbugs.gnu.org; Sat, 23 Sep 2017 14:18:09 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:39415)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1dvp0A-0006dn-OJ; Sat, 23 Sep 2017 14:18:06 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3239
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1dvp07-0000tZ-VE; Sat, 23 Sep 2017 14:18:06 -0400
Date: Sat, 23 Sep 2017 21:17:46 +0300
Message-Id: <83o9q19t4l.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Anders Lindgren <andlind@HIDDEN>
In-reply-to: <CABr8ebaaXZLy6Rdw7vWXgOfqnUAHA1axp_-L5v7MWpn8iAuK0w@HIDDEN>
 (message from Anders Lindgren on Sat, 23 Sep 2017 20:05:35 +0200)
Subject: Re: bug#28311: 25.2; Improve syntax highlighting in bat-mode
References: <CABr8ebapkTTOr25TY3O7bPRAOhy0kXHt8ALse1xVmjLRn29DiA@HIDDEN>
 <87wp5jr100.fsf@HIDDEN> <83fubedf2f.fsf@HIDDEN>
 <8epoaik6r4.fsf@HIDDEN>
 <CABr8ebafnqbg1EYpJSoTF19ZW+5sfcasqxhcF_9+JKsPziQ1BA@HIDDEN>
 <8360caczpr.fsf@HIDDEN>
 <CABr8ebZhBQ6kiyMoVbSBEnPj=o216jVqXiNqch=CTocJCwSF5w@HIDDEN>
 <831smxblz3.fsf@HIDDEN>
 <CABr8ebaaXZLy6Rdw7vWXgOfqnUAHA1axp_-L5v7MWpn8iAuK0w@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 18405
Cc: 28311 <at> debbugs.gnu.org, rgm@HIDDEN, Stromeko@HIDDEN,
 18405 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Anders Lindgren <andlind@HIDDEN>
> Date: Sat, 23 Sep 2017 20:05:35 +0200
> Cc: Glenn Morris <rgm@HIDDEN>, Achim Gratz <Stromeko@HIDDEN>, 28311 <at> debbugs.gnu.org, 
> 	18405 <at> debbugs.gnu.org
> 
>  > Thanks! In which branch should I add it, master or Emacs-26?
> 
>  How large is it? Also, is it supposed to be used outside of the ert
>  context?
> 
> The main source file is about 45 KB, with additional 15KB of test files.
> 
> It can be used outside the ERT context, as the markup language is generic. I can think of many applications
> for it, like use it as the storage format for a word-processor like mode, where the user can apply bold, italics
> etc.

In that case, I guess master is the right place.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18405; Package emacs. Full text available.

Message received at 18405 <at> debbugs.gnu.org:


Received: (at 18405) by debbugs.gnu.org; 23 Sep 2017 18:05:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 23 14:05:44 2017
Received: from localhost ([127.0.0.1]:54846 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dvooB-0003QH-QA
	for submit <at> debbugs.gnu.org; Sat, 23 Sep 2017 14:05:43 -0400
Received: from mail-vk0-f47.google.com ([209.85.213.47]:48109)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andlind@HIDDEN>)
 id 1dvoo9-0003Pw-VZ; Sat, 23 Sep 2017 14:05:42 -0400
Received: by mail-vk0-f47.google.com with SMTP id c82so1949837vkd.4;
 Sat, 23 Sep 2017 11:05:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=qISntXW1tieGzs17Txsd0Z540H5YoxD0Q2AEJphDoOA=;
 b=D+Qn3G/3SUzVm+ETk6n3x04ynek3C+Kyar1NX9nl8Hpwr1vKbuoXp354vU72D4O6YA
 yCAliRG+r2iOQ7rHRpHICIfbnWRDTdczD8E5S5ihq/PE0cg/dE2//rDV6phHmfheJG10
 0Sz7czSufWVjllRkxzwirgujy9MSE1NEZVF+4hnbXOxEgDZh0AGGcdaFOM0zV1hWePEc
 tuQ6CmdHxJXHkxRbmu0/Yw+zfMraUmxxRNUQZonJ6AeBVyyP5iR/Q1Q2czhRAWne+5M2
 zJ8k+5frDZffS7dTdtPTNxinLyoy3g4GvJoxT6qsuXB2kvsxQtYVI+i8W10OcRFk1Usv
 FiQw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=qISntXW1tieGzs17Txsd0Z540H5YoxD0Q2AEJphDoOA=;
 b=dvAG3KNmfTB8quO9cz5SV4v/wPf8ntgrDIUUe8jVSBfj88VPIDo/0wEO8Dx4ZOeQ8Y
 TUyziLtFS1y9NqeKafOx4I/dLXKMP/ZLL08527kKyPJKq1333iRzsg0WF21+kAei4DPm
 GvyTV4lZhTgAY/rqMdMcktQth2bGt3PMQweGVVCfehzOOAaQavUBFoI3cNIgJRnEhpcz
 k9k4Q4dYI4RjeOj6hL23NAbNCbmENhDchycaap04+H9W+lcI7Ai79KhFw/4J/NaXhtod
 YE2LoaBwiHRmYYDt4nu0lQ6EiCTSXHNXW/udIzGJxFWn7y5XmkPFZFUztCok2N86ByUd
 zNMw==
X-Gm-Message-State: AHPjjUj4jNiO5igyykZc/0mZjgt6Sg6jI6bB6Fskarj7AdTLtHUSFPJn
 F+9hmQkzuUMoGSd8IWgXWCd2NHBdj3tC8nieoqQ=
X-Google-Smtp-Source: AOwi7QB0ghSbMKxpwfpdChpN7xXCO3oUX4hA/DH44Mx0V+Szuep6VHBNqlcf9ZP3q9MddawTA+YlFwRV8JLi61ExbQo=
X-Received: by 10.31.109.195 with SMTP id i186mr2568660vkc.118.1506189936545; 
 Sat, 23 Sep 2017 11:05:36 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.31.171.202 with HTTP; Sat, 23 Sep 2017 11:05:35 -0700 (PDT)
In-Reply-To: <831smxblz3.fsf@HIDDEN>
References: <CABr8ebapkTTOr25TY3O7bPRAOhy0kXHt8ALse1xVmjLRn29DiA@HIDDEN>
 <87wp5jr100.fsf@HIDDEN> <83fubedf2f.fsf@HIDDEN>
 <8epoaik6r4.fsf@HIDDEN>
 <CABr8ebafnqbg1EYpJSoTF19ZW+5sfcasqxhcF_9+JKsPziQ1BA@HIDDEN>
 <8360caczpr.fsf@HIDDEN>
 <CABr8ebZhBQ6kiyMoVbSBEnPj=o216jVqXiNqch=CTocJCwSF5w@HIDDEN>
 <831smxblz3.fsf@HIDDEN>
From: Anders Lindgren <andlind@HIDDEN>
Date: Sat, 23 Sep 2017 20:05:35 +0200
Message-ID: <CABr8ebaaXZLy6Rdw7vWXgOfqnUAHA1axp_-L5v7MWpn8iAuK0w@HIDDEN>
Subject: Re: bug#28311: 25.2; Improve syntax highlighting in bat-mode
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary="94eb2c0958d221d5760559df2c81"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 18405
Cc: 28311 <at> debbugs.gnu.org, Glenn Morris <rgm@HIDDEN>,
 Achim Gratz <Stromeko@HIDDEN>, 18405 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--94eb2c0958d221d5760559df2c81
Content-Type: text/plain; charset="UTF-8"

>
> > Thanks! In which branch should I add it, master or Emacs-26?
>
> How large is it?  Also, is it supposed to be used outside of the ert
> context?
>

The main source file is about 45 KB, with additional 15KB of test files.

It can be used outside the ERT context, as the markup language is generic.
I can think of many applications for it, like use it as the storage format
for a word-processor like mode, where the user can apply bold, italics etc.


> I guess it should go into lisp/emacs-lisp, as "ert.el" is located there.
>
> Probably.  Actually, why not make it part of ert, say, ert-faces.el?
>

As it can be used outside of ert, I would prefer the current name.

     -- Anders

--94eb2c0958d221d5760559df2c81
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_extra"><div class=3D"gmail_quote"><blo=
ckquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #c=
cc solid;padding-left:1ex"><span class=3D"">&gt; Thanks! In which branch sh=
ould I add it, master or Emacs-26?<br>
<br>
</span>How large is it?=C2=A0 Also, is it supposed to be used outside of th=
e ert<br>
context?<br></blockquote><div><br></div><div>The main source file is about =
45 KB, with additional 15KB of test files.</div><div><br></div><div>It can =
be used outside the ERT context, as the markup language is generic. I can t=
hink of many applications for it, like use it as the storage format for a w=
ord-processor like mode, where the user can apply bold, italics etc.</div><=
div>=C2=A0</div><div><br></div><blockquote class=3D"gmail_quote" style=3D"m=
argin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex"><span class=
=3D"">
&gt; I guess it should go into lisp/emacs-lisp, as &quot;ert.el&quot; is lo=
cated there.<br>
<br>
</span>Probably.=C2=A0 Actually, why not make it part of ert, say, ert-face=
s.el?<br>
</blockquote></div><br></div><div class=3D"gmail_extra">As it can be used o=
utside of ert, I would prefer the current name.</div><div class=3D"gmail_ex=
tra"><br></div><div class=3D"gmail_extra">=C2=A0 =C2=A0 =C2=A0-- Anders</di=
v></div>

--94eb2c0958d221d5760559df2c81--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18405; Package emacs. Full text available.

Message received at 18405 <at> debbugs.gnu.org:


Received: (at 18405) by debbugs.gnu.org; 23 Sep 2017 13:09:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 23 09:09:53 2017
Received: from localhost ([127.0.0.1]:53620 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dvkBt-0008EC-3G
	for submit <at> debbugs.gnu.org; Sat, 23 Sep 2017 09:09:53 -0400
Received: from eggs.gnu.org ([208.118.235.92]:54318)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1dvkBr-0008Dw-1l
 for 18405 <at> debbugs.gnu.org; Sat, 23 Sep 2017 09:09:51 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1dvkBh-0004rF-8a
 for 18405 <at> debbugs.gnu.org; Sat, 23 Sep 2017 09:09:45 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:36020)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1dvkBh-0004r6-5Y; Sat, 23 Sep 2017 09:09:41 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2636
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1dvkBc-0003q1-7D; Sat, 23 Sep 2017 09:09:38 -0400
Date: Sat, 23 Sep 2017 16:09:20 +0300
Message-Id: <831smxblz3.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Anders Lindgren <andlind@HIDDEN>
In-reply-to: <CABr8ebZhBQ6kiyMoVbSBEnPj=o216jVqXiNqch=CTocJCwSF5w@HIDDEN>
 (message from Anders Lindgren on Sat, 23 Sep 2017 14:50:27 +0200)
Subject: Re: bug#28311: 25.2; Improve syntax highlighting in bat-mode
References: <CABr8ebapkTTOr25TY3O7bPRAOhy0kXHt8ALse1xVmjLRn29DiA@HIDDEN>
 <87wp5jr100.fsf@HIDDEN> <83fubedf2f.fsf@HIDDEN>
 <8epoaik6r4.fsf@HIDDEN>
 <CABr8ebafnqbg1EYpJSoTF19ZW+5sfcasqxhcF_9+JKsPziQ1BA@HIDDEN>
 <8360caczpr.fsf@HIDDEN>
 <CABr8ebZhBQ6kiyMoVbSBEnPj=o216jVqXiNqch=CTocJCwSF5w@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 18405
Cc: 28311 <at> debbugs.gnu.org, rgm@HIDDEN, Stromeko@HIDDEN,
 18405 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Anders Lindgren <andlind@HIDDEN>
> Date: Sat, 23 Sep 2017 14:50:27 +0200
> Cc: Glenn Morris <rgm@HIDDEN>, Stromeko@HIDDEN, 28311 <at> debbugs.gnu.org, 
> 	18405 <at> debbugs.gnu.org
> 
>  Why wouldn't we want that? Please go ahead, and thanks.
> 
> Thanks! In which branch should I add it, master or Emacs-26?

How large is it?  Also, is it supposed to be used outside of the ert
context?

> I guess it should go into lisp/emacs-lisp, as "ert.el" is located there.

Probably.  Actually, why not make it part of ert, say, ert-faces.el?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18405; Package emacs. Full text available.

Message received at 18405 <at> debbugs.gnu.org:


Received: (at 18405) by debbugs.gnu.org; 23 Sep 2017 12:50:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 23 08:50:36 2017
Received: from localhost ([127.0.0.1]:53606 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dvjtD-0007lB-Ud
	for submit <at> debbugs.gnu.org; Sat, 23 Sep 2017 08:50:36 -0400
Received: from mail-vk0-f52.google.com ([209.85.213.52]:55995)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andlind@HIDDEN>)
 id 1dvjtC-0007ks-EO; Sat, 23 Sep 2017 08:50:34 -0400
Received: by mail-vk0-f52.google.com with SMTP id i1so1738585vke.12;
 Sat, 23 Sep 2017 05:50:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=d0Tx3mZe0EYOzTSsg7Z9+AP0AojX7Jn76n0/OORwQ58=;
 b=gs6HH7N0bfeCNgbPT9tEudFrsRLgg0IKZO8po++8TTpIWM9k3tY9Ssf1/2BGbLT4b8
 4qcVhVotuOz0FkFV0dLtmEg2WRQEdA5lBenNz4vyEmU0UOOctAe2/USJabEpgX6wkmEX
 sBrBSjH/ABxvJwv1cI015Ttl6tKzOkSQwNuYZv0yCmX/3JrfTSqRchhRwt/5pdKCghUe
 ZFhaRhxF1xLRCbq1I+AbPfpyAOqLG3gcaETxs6+Ulf5l5nqkFUi8OFFkat2HUHGM4ZQm
 0FP1oOy9XvXNBJH6ulRYHxLaGyuLXcZ5tUfDxuxPhgUCMURZxK6WvwNUMfxTfXZdjYbh
 nKdA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=d0Tx3mZe0EYOzTSsg7Z9+AP0AojX7Jn76n0/OORwQ58=;
 b=Sl5Bj81RHrdr3CmM2ySh10qWZIBReMWSMgYLzC/aF+CYJxFyjS1uE8odTz/rIIwGoN
 NPnOL3ntWeM86M8tsqUJA8qncn0qXnaltvbDvzXdd1UANTEXOC9D7zeGMWUargqPtCM3
 +e+RgyizOMRZwxh8CAMmD/4x4OmrWPvMjrVAAvuZNrjSaPH8vPxuQvdDoJ7iLeOkooFU
 T9jyYnKtKWOWxVEJOCn8fKmt70MNpffqj++W88obJiTGFpIu7ZTdGrch4y3gpVHASCcL
 uvlDEs/trG7oNt9sQlHD/BXpoLko1nZeFItOCvzjmXwLTPy2DfjfO8s3/TenQtwxjSmS
 109w==
X-Gm-Message-State: AHPjjUj6FYmpbjp27du8KIzfwVEsELyex//8Eiqx3flgT7xYGioMsdrB
 XQMjRsV/98KiI24x7w9oq8lFL9o2x7ue2ffReUk=
X-Google-Smtp-Source: AOwi7QAXS0yETLcNdO3QQZgeAYiXyxC4k4QkRlePdJBU19UKLTyATTWMuSnyMxHoMrJpBq+SJ9e0sSnbexxSEOW70Ck=
X-Received: by 10.31.7.142 with SMTP id 136mr1855085vkh.10.1506171028864; Sat,
 23 Sep 2017 05:50:28 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.31.171.202 with HTTP; Sat, 23 Sep 2017 05:50:27 -0700 (PDT)
In-Reply-To: <8360caczpr.fsf@HIDDEN>
References: <CABr8ebapkTTOr25TY3O7bPRAOhy0kXHt8ALse1xVmjLRn29DiA@HIDDEN>
 <87wp5jr100.fsf@HIDDEN> <83fubedf2f.fsf@HIDDEN>
 <8epoaik6r4.fsf@HIDDEN>
 <CABr8ebafnqbg1EYpJSoTF19ZW+5sfcasqxhcF_9+JKsPziQ1BA@HIDDEN>
 <8360caczpr.fsf@HIDDEN>
From: Anders Lindgren <andlind@HIDDEN>
Date: Sat, 23 Sep 2017 14:50:27 +0200
Message-ID: <CABr8ebZhBQ6kiyMoVbSBEnPj=o216jVqXiNqch=CTocJCwSF5w@HIDDEN>
Subject: Re: bug#28311: 25.2; Improve syntax highlighting in bat-mode
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary="001a1143d50c25864b0559dac55f"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 18405
Cc: 28311 <at> debbugs.gnu.org, Glenn Morris <rgm@HIDDEN>, Stromeko@HIDDEN,
 18405 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

--001a1143d50c25864b0559dac55f
Content-Type: text/plain; charset="UTF-8"

>
> > If you would like to modernise your font-lock test, I would be happy to
> contribute it to Emacs (as I suggested in
> > bug#16063).
>
> Why wouldn't we want that?  Please go ahead, and thanks.
>

Thanks! In which branch should I add it, master or Emacs-26?

I guess it should go into lisp/emacs-lisp, as "ert.el" is located there.

    -- Anders

--001a1143d50c25864b0559dac55f
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_extra"><div class=3D"gmail_quote"><blo=
ckquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #c=
cc solid;padding-left:1ex"><span class=3D"">&gt; If you would like to moder=
nise your font-lock test, I would be happy to contribute it to Emacs (as I =
suggested in<br>
&gt; bug#16063).<br>
<br>
</span>Why wouldn&#39;t we want that?=C2=A0 Please go ahead, and thanks.<br=
>
</blockquote></div><br></div><div class=3D"gmail_extra">Thanks! In which br=
anch should I add it, master or Emacs-26?</div><div class=3D"gmail_extra"><=
br></div><div class=3D"gmail_extra">I guess it should go into lisp/emacs-li=
sp, as &quot;ert.el&quot; is located there.</div><div class=3D"gmail_extra"=
><br></div><div class=3D"gmail_extra">=C2=A0 =C2=A0 -- Anders</div><div cla=
ss=3D"gmail_extra"><br></div></div>

--001a1143d50c25864b0559dac55f--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18405; Package emacs. Full text available.

Message received at 18405 <at> debbugs.gnu.org:


Received: (at 18405) by debbugs.gnu.org; 22 Sep 2017 19:15:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 22 15:15:32 2017
Received: from localhost ([127.0.0.1]:53237 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dvTQC-0003xN-Lt
	for submit <at> debbugs.gnu.org; Fri, 22 Sep 2017 15:15:32 -0400
Received: from eggs.gnu.org ([208.118.235.92]:53616)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1dvTQB-0003xB-KA
 for 18405 <at> debbugs.gnu.org; Fri, 22 Sep 2017 15:15:31 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1dvTQ1-0000MS-Ih
 for 18405 <at> debbugs.gnu.org; Fri, 22 Sep 2017 15:15:25 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:46193)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1dvTQ1-0000MM-FC; Fri, 22 Sep 2017 15:15:21 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4877
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1dvTPx-0004ZH-Of; Fri, 22 Sep 2017 15:15:21 -0400
Date: Fri, 22 Sep 2017 22:14:56 +0300
Message-Id: <8360caczpr.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Anders Lindgren <andlind@HIDDEN>
In-reply-to: <CABr8ebafnqbg1EYpJSoTF19ZW+5sfcasqxhcF_9+JKsPziQ1BA@HIDDEN>
 (message from Anders Lindgren on Fri, 22 Sep 2017 21:04:19 +0200)
Subject: Re: bug#28311: 25.2; Improve syntax highlighting in bat-mode
References: <CABr8ebapkTTOr25TY3O7bPRAOhy0kXHt8ALse1xVmjLRn29DiA@HIDDEN>
 <87wp5jr100.fsf@HIDDEN> <83fubedf2f.fsf@HIDDEN>
 <8epoaik6r4.fsf@HIDDEN>
 <CABr8ebafnqbg1EYpJSoTF19ZW+5sfcasqxhcF_9+JKsPziQ1BA@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 18405
Cc: 28311 <at> debbugs.gnu.org, rgm@HIDDEN, Stromeko@HIDDEN,
 18405 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Anders Lindgren <andlind@HIDDEN>
> Date: Fri, 22 Sep 2017 21:04:19 +0200
> Cc: Eli Zaretskii <eliz@HIDDEN>, Achim Gratz <Stromeko@HIDDEN>, 28311 <at> debbugs.gnu.org, 
> 	18405 <at> debbugs.gnu.org
> 
> If you would like to modernise your font-lock test, I would be happy to contribute it to Emacs (as I suggested in
> bug#16063).

Why wouldn't we want that?  Please go ahead, and thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18405; Package emacs. Full text available.

Message received at 18405 <at> debbugs.gnu.org:


Received: (at 18405) by debbugs.gnu.org; 22 Sep 2017 19:04:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 22 15:04:29 2017
Received: from localhost ([127.0.0.1]:53226 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dvTFV-0003hl-2M
	for submit <at> debbugs.gnu.org; Fri, 22 Sep 2017 15:04:29 -0400
Received: from mail-vk0-f46.google.com ([209.85.213.46]:44892)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andlind@HIDDEN>)
 id 1dvTFS-0003hS-57; Fri, 22 Sep 2017 15:04:26 -0400
Received: by mail-vk0-f46.google.com with SMTP id d12so1048148vkf.1;
 Fri, 22 Sep 2017 12:04:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=LVl6parrpvP+hJWBXywN82VHiNDCCV0i1W/Vl9neEME=;
 b=sxZjIj7KET3v6IWBh+cMjYXw5GwIlHQjkHj92nj9jHlEq5dlPTjH1U6g3ix5sFN8D6
 STYGV4ftqqouhgmBRtw2tdohJb2sm2wNL2Wif616F/N1C+6qD/JkTbu3wHh9ht/D8rIj
 6yDW1+ohDNjDBJxhLiM4JXspZ10uYHxlKvZmEVaQzrP9V+zlZUnyS+Bq9fdB6Bv+o9Q2
 ilvj6v6RECW8xhq4QSLLQD+VrmQVLGl8/kB3XwGkW0zeLmTEKhS8JiYHcljVPV21jqg/
 ARSlqIVkhWkg5D5MFlhzyCvZjMh8H628tq3owqBGCrn8Zi7/TrfIVyQbk+PpngHtic1t
 dzfw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=LVl6parrpvP+hJWBXywN82VHiNDCCV0i1W/Vl9neEME=;
 b=VVweUPNU/ickNvVBJnZF8kk9c/CnrdK/JbaYozWKqjR9gZ49WUMIK9mmOqSAzE/6vU
 flYTiON4GkDxq4e0jFOvVwIDAzom9eo+WIkl24wh2X0oFkIgzq8oS20cHvxUwpRbMUuX
 Sjr/DGsvtSsjLz+gp64WU5s7r2PMmsivaomG6r9FO5lG+9G+JqpHtehWFb/KiR/ecBll
 aX+ixdKBvNuZJseIUzKz6nCDheuL5F4XZCSf4ZVwoZRHih0Uo90/n7o9E0sSYL/UD9Ao
 lm1l3Gz4hzL83LlrmDuo2AEiPLShKJ/eO4K22h5aGQ5y6scCYhF+cmo1LKeDXfyRQ5Im
 LWbg==
X-Gm-Message-State: AHPjjUgbx4RFsJlvKDgNK/7wLsjeVrafs0JTwsa8hhS6DoIVKOMmnNIa
 1oJGEmORQU7yERSOOwwQRXCHQLix9EHE5Vulpus=
X-Google-Smtp-Source: AOwi7QBqTAJiCFr5qnu0znvUvjaG6RGdUzEFD1zQO0EHkZx0rPcBnAl/wOnju7irydAQINEghCfA1cVHnYSiTud93KM=
X-Received: by 10.31.237.2 with SMTP id l2mr127289vkh.91.1506107060593; Fri,
 22 Sep 2017 12:04:20 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.31.171.202 with HTTP; Fri, 22 Sep 2017 12:04:19 -0700 (PDT)
In-Reply-To: <8epoaik6r4.fsf@HIDDEN>
References: <CABr8ebapkTTOr25TY3O7bPRAOhy0kXHt8ALse1xVmjLRn29DiA@HIDDEN>
 <87wp5jr100.fsf@HIDDEN> <83fubedf2f.fsf@HIDDEN>
 <8epoaik6r4.fsf@HIDDEN>
From: Anders Lindgren <andlind@HIDDEN>
Date: Fri, 22 Sep 2017 21:04:19 +0200
Message-ID: <CABr8ebafnqbg1EYpJSoTF19ZW+5sfcasqxhcF_9+JKsPziQ1BA@HIDDEN>
Subject: Re: bug#28311: 25.2; Improve syntax highlighting in bat-mode
To: Glenn Morris <rgm@HIDDEN>
Content-Type: multipart/alternative; boundary="94eb2c09470657298d0559cbe091"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 18405
Cc: 28311 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Achim Gratz <Stromeko@HIDDEN>, 18405 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

--94eb2c09470657298d0559cbe091
Content-Type: text/plain; charset="UTF-8"

Hi!

Unfortunately, I can't comment on the actual error found, as I wasn't
involved in the fix...

Anyway, I am positively glad that you have tests for font-lock rules.
However, using htmlfontify for this doesn't seem like the best tool for
this. 1) The output of htmlfontify may change in the future, in which case
you will need to rewrite all your tests, 2) HTML is hard to read, and 3)
The ert explainer doesn't really help you here. If example, in this case
all it tells you is that the resulting html strings have different lengths.
On other words, it may work for snippets like this, but it would not scale
well.

A couple of years ago I wrote a tool, faceup (https://github.com/
Lindydancer/faceup), specifically for testing highlighting in Emacs using
ert. It uses a simple markup language, so the result is easier to read than
when using HTML. The reference text can be used inline (like in your test)
or stored in a corresponding ".faceup" file, which makes it possible to
test files thousands of lines long. When a test fails, the ert explainer
will tell you which lines contained errors, what that lines contained, and
what they should contain, so it's much easier to find errors. I have
successfully used this is several of my font-lock packages. In addition,
I've accumulated a number of source files in various programming languages
in a regression test suite for font-lock (https://github.com/
Lindydancer/font-lock-regression-suite).

If you would like to modernise your font-lock test, I would be happy to
contribute it to Emacs (as I suggested in bug#16063).

    -- Anders

On Fri, Sep 22, 2017 at 7:01 PM, Glenn Morris <rgm@HIDDEN> wrote:

>
> Running 5 tests (2017-09-22 09:57:54-0700)
>    passed  1/5  bat-test-fill-paragraph-comment
> hfy batch mode ( *temp*-973592:bat-mode)
> Test bat-test-fontification-iter-var-1 backtrace:
>   signal(ert-test-failed (((should (equal (bat-test-fontify "echo %%a\
>   ert-fail(((should (equal (bat-test-fontify "echo %%a\necho %%~dp1\ne
>   (if (unwind-protect (setq value-17 (apply fn-15 args-16)) (setq form
>   (let (form-description-19) (if (unwind-protect (setq value-17 (apply
>   (let ((value-17 'ert-form-evaluation-aborted-18)) (let (form-descrip
>   (let* ((fn-15 (function equal)) (args-16 (condition-case err (let ((
>   (closure (t) nil (let* ((fn-15 (function equal)) (args-16 (condition
>   ert--run-test-internal(#s(ert--test-execution-info :test #s(ert-test
>   ert-run-test(#s(ert-test :name bat-test-fontification-iter-var-1 :do
>   ert-run-or-rerun-test(#s(ert--stats :selector t :tests [#s(ert-test
>   ert-run-tests(t #f(compiled-function (event-type &rest event-args) #
>   ert-run-tests-batch(nil)
>   ert-run-tests-batch-and-exit(nil)
>   eval((ert-run-tests-batch-and-exit nil))
>   command-line-1(("-L" ":." "-l" "ert" "-l" "lisp/progmodes/bat-mode-t
>   command-line()
>   normal-top-level()
> Test bat-test-fontification-iter-var-1 condition:
>     (ert-test-failed
>      ((should
>        (equal
>         (bat-test-fontify "echo %%a
> echo %%~dp1
> echo %%~$PATH:I")
>         "<span class=\"builtin\">echo</span> %%<span
> class=\"variable-name\">a</span>
> <span class=\"builtin\">echo</span> %%~dp<span class=\"variable-name\">1</
> span>
> <span class=\"builtin\">echo</span> %%~$<span
> class=\"variable-name\">PATH</span>:<span class=\"variable-name\">I</
> span>"))
>       :form
>       (equal
>        #("<span class=\"builtin\">echo</span> %%<span
> class=\"variable-name\">a</span>
> <span class=\"builtin\">echo</span> %%<span class=\"variable-name\">~dp1</
> span>
> <span class=\"builtin\">echo</span> %%<span class=\"variable-name\">~$PATH:I</span>"
> 22 26
> (face font-lock-builtin-face)
> 64 65
> (face font-lock-variable-name-face)
> 95 99
> (face font-lock-builtin-face)
> 137 141
> (face font-lock-variable-name-face)
> 171 175
> (face font-lock-builtin-face)
> 213 221
> (face font-lock-variable-name-face))
>        "<span class=\"builtin\">echo</span> %%<span
> class=\"variable-name\">a</span>
> <span class=\"builtin\">echo</span> %%~dp<span class=\"variable-name\">1</
> span>
> <span class=\"builtin\">echo</span> %%~$<span
> class=\"variable-name\">PATH</span>:<span class=\"variable-name\">I</
> span>")
>       :value nil :explanation
>       (arrays-of-different-length 228 263
>                                   #("<span class=\"builtin\">echo</span>
> %%<span class=\"variable-name\">a</span>
> <span class=\"builtin\">echo</span> %%<span class=\"variable-name\">~dp1</
> span>
> <span class=\"builtin\">echo</span> %%<span class=\"variable-name\">~$PATH:I</span>"
> 22 26
> (face font-lock-builtin-face)
> 64 65
> (face font-lock-variable-name-face)
> 95 99
> (face font-lock-builtin-face)
> 137 141
> (face font-lock-variable-name-face)
> 171 175
> (face font-lock-builtin-face)
> 213 221
> (face font-lock-variable-name-face))
>                                   "<span class=\"builtin\">echo</span>
> %%<span class=\"variable-name\">a</span>
> <span class=\"builtin\">echo</span> %%~dp<span class=\"variable-name\">1</
> span>
> <span class=\"builtin\">echo</span> %%~$<span
> class=\"variable-name\">PATH</span>:<span class=\"variable-name\">I</span>"
> first-mismatch-at 109)))
>    FAILED  2/5  bat-test-fontification-iter-var-1
> hfy batch mode ( *temp*-454955:bat-mode)
>    passed  3/5  bat-test-fontification-var-decl
> hfy batch mode ( *temp*-493544:bat-mode)
>    passed  4/5  bat-test-fontification-var-delayed-exp
> hfy batch mode ( *temp*-832943:bat-mode)
>    passed  5/5  bat-test-fontification-var-exp
>
> Ran 5 tests, 4 results as expected, 1 unexpected (2017-09-22 09:57:54-0700)
>
> 1 unexpected results:
>    FAILED  bat-test-fontification-iter-var-1
>
>

--94eb2c09470657298d0559cbe091
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Hi!<div><br></div><div>Unfortunately, I can&#39;t comment =
on the actual error found, as I wasn&#39;t involved in the fix...</div><div=
><br></div><div>Anyway, I am positively glad that you have tests for font-l=
ock rules. However, using htmlfontify for this doesn&#39;t seem like the be=
st tool for this. 1) The output of htmlfontify may change in the future, in=
 which case you will need to rewrite all your tests, 2) HTML is hard to rea=
d, and 3) The ert explainer doesn&#39;t really help you here. If example, i=
n this case all it tells you is that the resulting html strings have differ=
ent lengths. On other words, it may work for snippets like this, but it wou=
ld not scale well.</div><div><br></div><div>A couple of years ago I wrote a=
 tool, faceup (<a href=3D"https://github.com/Lindydancer/faceup" target=3D"=
_blank">https://github.com/<wbr>Lindydancer/faceup</a>), specifically for t=
esting highlighting in Emacs using ert. It uses a simple markup language, s=
o the result is easier to read than when using HTML. The reference text can=
 be used inline (like in your test) or stored in a corresponding &quot;.fac=
eup&quot; file, which makes it possible to test files thousands of lines lo=
ng. When a test fails, the ert explainer will tell you which lines containe=
d errors, what that lines contained, and what they should contain, so it&#3=
9;s much easier to find errors. I have successfully used this is several of=
 my font-lock packages. In addition, I&#39;ve accumulated a number of sourc=
e files in various programming languages in a regression test suite for fon=
t-lock (<a href=3D"https://github.com/Lindydancer/font-lock-regression-suit=
e" target=3D"_blank">https://github.com/<wbr>Lindydancer/font-lock-<wbr>reg=
ression-suite</a>).</div><div><br></div><div>If you would like to modernise=
 your font-lock test, I would be happy to contribute it to Emacs (as I sugg=
ested in bug#16063).</div><div><br></div><div>=C2=A0 =C2=A0 -- Anders</div>=
</div><div class=3D"gmail_extra"><br><div class=3D"gmail_quote">On Fri, Sep=
 22, 2017 at 7:01 PM, Glenn Morris <span dir=3D"ltr">&lt;<a href=3D"mailto:=
rgm@HIDDEN" target=3D"_blank">rgm@HIDDEN</a>&gt;</span> wrote:<br><blockq=
uote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc =
solid;padding-left:1ex"><br>
Running 5 tests (2017-09-22 09:57:54-0700)<br>
=C2=A0 =C2=A0passed=C2=A0 1/5=C2=A0 bat-test-fill-paragraph-<wbr>comment<br=
>
hfy batch mode ( *temp*-973592:bat-mode)<br>
Test bat-test-fontification-iter-<wbr>var-1 backtrace:<br>
=C2=A0 signal(ert-test-failed (((should (equal (bat-test-fontify &quot;echo=
 %%a\<br>
=C2=A0 ert-fail(((should (equal (bat-test-fontify &quot;echo %%a\necho %%~d=
p1\ne<br>
=C2=A0 (if (unwind-protect (setq value-17 (apply fn-15 args-16)) (setq form=
<br>
=C2=A0 (let (form-description-19) (if (unwind-protect (setq value-17 (apply=
<br>
=C2=A0 (let ((value-17 &#39;ert-form-evaluation-aborted-<wbr>18)) (let (for=
m-descrip<br>
=C2=A0 (let* ((fn-15 (function equal)) (args-16 (condition-case err (let ((=
<br>
=C2=A0 (closure (t) nil (let* ((fn-15 (function equal)) (args-16 (condition=
<br>
=C2=A0 ert--run-test-internal(#s(ert-<wbr>-test-execution-info :test #s(ert=
-test<br>
=C2=A0 ert-run-test(#s(ert-test :name bat-test-fontification-iter-<wbr>var-=
1 :do<br>
=C2=A0 ert-run-or-rerun-test(#s(ert--<wbr>stats :selector t :tests [#s(ert-=
test<br>
=C2=A0 ert-run-tests(t #f(compiled-function (event-type &amp;rest event-arg=
s) #<br>
=C2=A0 ert-run-tests-batch(nil)<br>
=C2=A0 ert-run-tests-batch-and-exit(<wbr>nil)<br>
=C2=A0 eval((ert-run-tests-batch-and-<wbr>exit nil))<br>
=C2=A0 command-line-1((&quot;-L&quot; &quot;:.&quot; &quot;-l&quot; &quot;e=
rt&quot; &quot;-l&quot; &quot;lisp/progmodes/bat-mode-t<br>
=C2=A0 command-line()<br>
=C2=A0 normal-top-level()<br>
Test bat-test-fontification-iter-<wbr>var-1 condition:<br>
=C2=A0 =C2=A0 (ert-test-failed<br>
=C2=A0 =C2=A0 =C2=A0((should<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0(equal<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 (bat-test-fontify &quot;echo %%a<br>
echo %%~dp1<br>
echo %%~$PATH:I&quot;)<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 &quot;&lt;span class=3D\&quot;builtin\&quot;&gt=
;echo&lt;/span&gt; %%&lt;span class=3D\&quot;variable-name\&quot;&gt;a&lt;/=
<wbr>span&gt;<br>
&lt;span class=3D\&quot;builtin\&quot;&gt;echo&lt;/span&gt; %%~dp&lt;span c=
lass=3D\&quot;variable-name\&quot;&gt;1&lt;/<wbr>span&gt;<br>
&lt;span class=3D\&quot;builtin\&quot;&gt;echo&lt;/span&gt; %%~$&lt;span cl=
ass=3D\&quot;variable-name\&quot;&gt;PATH&lt;/<wbr>span&gt;:&lt;span class=
=3D\&quot;variable-name\&quot;&gt;I&lt;/<wbr>span&gt;&quot;))<br>
=C2=A0 =C2=A0 =C2=A0 :form<br>
=C2=A0 =C2=A0 =C2=A0 (equal<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0#(&quot;&lt;span class=3D\&quot;builtin\&quot;&g=
t;echo&lt;/span&gt; %%&lt;span class=3D\&quot;variable-name\&quot;&gt;a&lt;=
/<wbr>span&gt;<br>
&lt;span class=3D\&quot;builtin\&quot;&gt;echo&lt;/span&gt; %%&lt;span clas=
s=3D\&quot;variable-name\&quot;&gt;~dp1&lt;/<wbr>span&gt;<br>
&lt;span class=3D\&quot;builtin\&quot;&gt;echo&lt;/span&gt; %%&lt;span clas=
s=3D\&quot;variable-name\&quot;&gt;~$<wbr>PATH:I&lt;/span&gt;&quot; 22 26<b=
r>
(face font-lock-builtin-face)<br>
64 65<br>
(face font-lock-variable-name-face)<br>
95 99<br>
(face font-lock-builtin-face)<br>
137 141<br>
(face font-lock-variable-name-face)<br>
171 175<br>
(face font-lock-builtin-face)<br>
213 221<br>
(face font-lock-variable-name-face))<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0&quot;&lt;span class=3D\&quot;builtin\&quot;&gt;=
echo&lt;/span&gt; %%&lt;span class=3D\&quot;variable-name\&quot;&gt;a&lt;/<=
wbr>span&gt;<br>
&lt;span class=3D\&quot;builtin\&quot;&gt;echo&lt;/span&gt; %%~dp&lt;span c=
lass=3D\&quot;variable-name\&quot;&gt;1&lt;/<wbr>span&gt;<br>
&lt;span class=3D\&quot;builtin\&quot;&gt;echo&lt;/span&gt; %%~$&lt;span cl=
ass=3D\&quot;variable-name\&quot;&gt;PATH&lt;/<wbr>span&gt;:&lt;span class=
=3D\&quot;variable-name\&quot;&gt;I&lt;/<wbr>span&gt;&quot;)<br>
=C2=A0 =C2=A0 =C2=A0 :value nil :explanation<br>
=C2=A0 =C2=A0 =C2=A0 (arrays-of-different-length 228 263<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 #(&quot;&lt;span class=3D\&qu=
ot;builtin\&quot;&gt;echo&lt;/span&gt; %%&lt;span class=3D\&quot;variable-n=
ame\&quot;&gt;a&lt;/<wbr>span&gt;<br>
&lt;span class=3D\&quot;builtin\&quot;&gt;echo&lt;/span&gt; %%&lt;span clas=
s=3D\&quot;variable-name\&quot;&gt;~dp1&lt;/<wbr>span&gt;<br>
&lt;span class=3D\&quot;builtin\&quot;&gt;echo&lt;/span&gt; %%&lt;span clas=
s=3D\&quot;variable-name\&quot;&gt;~$<wbr>PATH:I&lt;/span&gt;&quot; 22 26<b=
r>
(face font-lock-builtin-face)<br>
64 65<br>
(face font-lock-variable-name-face)<br>
95 99<br>
(face font-lock-builtin-face)<br>
137 141<br>
(face font-lock-variable-name-face)<br>
171 175<br>
(face font-lock-builtin-face)<br>
213 221<br>
(face font-lock-variable-name-face))<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 &quot;&lt;span class=3D\&quot=
;builtin\&quot;&gt;echo&lt;/span&gt; %%&lt;span class=3D\&quot;variable-nam=
e\&quot;&gt;a&lt;/<wbr>span&gt;<br>
&lt;span class=3D\&quot;builtin\&quot;&gt;echo&lt;/span&gt; %%~dp&lt;span c=
lass=3D\&quot;variable-name\&quot;&gt;1&lt;/<wbr>span&gt;<br>
&lt;span class=3D\&quot;builtin\&quot;&gt;echo&lt;/span&gt; %%~$&lt;span cl=
ass=3D\&quot;variable-name\&quot;&gt;PATH&lt;/<wbr>span&gt;:&lt;span class=
=3D\&quot;variable-name\&quot;&gt;I&lt;/<wbr>span&gt;&quot; first-mismatch-=
at 109)))<br>
=C2=A0 =C2=A0FAILED=C2=A0 2/5=C2=A0 bat-test-fontification-iter-<wbr>var-1<=
br>
hfy batch mode ( *temp*-454955:bat-mode)<br>
=C2=A0 =C2=A0passed=C2=A0 3/5=C2=A0 bat-test-fontification-var-<wbr>decl<br=
>
hfy batch mode ( *temp*-493544:bat-mode)<br>
=C2=A0 =C2=A0passed=C2=A0 4/5=C2=A0 bat-test-fontification-var-<wbr>delayed=
-exp<br>
hfy batch mode ( *temp*-832943:bat-mode)<br>
=C2=A0 =C2=A0passed=C2=A0 5/5=C2=A0 bat-test-fontification-var-exp<br>
<br>
Ran 5 tests, 4 results as expected, 1 unexpected (2017-09-22 09:57:54-0700)=
<br>
<br>
1 unexpected results:<br>
=C2=A0 =C2=A0FAILED=C2=A0 bat-test-fontification-iter-<wbr>var-1<br>
<br>
</blockquote></div><br></div>

--94eb2c09470657298d0559cbe091--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18405; Package emacs. Full text available.

Message received at 18405 <at> debbugs.gnu.org:


Received: (at 18405) by debbugs.gnu.org; 22 Sep 2017 17:42:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 22 13:42:54 2017
Received: from localhost ([127.0.0.1]:53169 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dvRyX-0001kJ-OJ
	for submit <at> debbugs.gnu.org; Fri, 22 Sep 2017 13:42:53 -0400
Received: from eggs.gnu.org ([208.118.235.92]:49864)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1dvRyV-0001k6-S7
 for 18405 <at> debbugs.gnu.org; Fri, 22 Sep 2017 13:42:52 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1dvRyM-0005Dt-68
 for 18405 <at> debbugs.gnu.org; Fri, 22 Sep 2017 13:42:46 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:44281)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1dvRyM-0005Dn-2D; Fri, 22 Sep 2017 13:42:42 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4799
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1dvRyK-0004SE-90; Fri, 22 Sep 2017 13:42:41 -0400
Date: Fri, 22 Sep 2017 20:42:28 +0300
Message-Id: <83a81md3zv.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
In-reply-to: <8epoaik6r4.fsf@HIDDEN> (message from Glenn Morris on
 Fri, 22 Sep 2017 13:01:03 -0400)
Subject: Re: bug#28311: 25.2; Improve syntax highlighting in bat-mode
References: <CABr8ebapkTTOr25TY3O7bPRAOhy0kXHt8ALse1xVmjLRn29DiA@HIDDEN>
 <87wp5jr100.fsf@HIDDEN> <83fubedf2f.fsf@HIDDEN>
 <8epoaik6r4.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 18405
Cc: 28311-done <at> debbugs.gnu.org, Stromeko@HIDDEN, andlind@HIDDEN,
 18405 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Glenn Morris <rgm@HIDDEN>
> Cc: Achim Gratz <Stromeko@HIDDEN>,  Anders Lindgren <andlind@HIDDEN>,  28311 <at> debbugs.gnu.org,  18405 <at> debbugs.gnu.org
> Date: Fri, 22 Sep 2017 13:01:03 -0400
> 
> 
> Running 5 tests (2017-09-22 09:57:54-0700)
>    passed  1/5  bat-test-fill-paragraph-comment
> hfy batch mode ( *temp*-973592:bat-mode)
> Test bat-test-fontification-iter-var-1 backtrace:

Thanks, fixed.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18405; Package emacs. Full text available.

Message received at 18405 <at> debbugs.gnu.org:


Received: (at 18405) by debbugs.gnu.org; 22 Sep 2017 17:01:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 22 13:01:42 2017
Received: from localhost ([127.0.0.1]:53126 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dvRKg-0000fG-In
	for submit <at> debbugs.gnu.org; Fri, 22 Sep 2017 13:01:42 -0400
Received: from eggs.gnu.org ([208.118.235.92]:35328)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1dvRKf-0000ew-EL
 for 18405 <at> debbugs.gnu.org; Fri, 22 Sep 2017 13:01:41 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1dvRKZ-0003Rr-4x
 for 18405 <at> debbugs.gnu.org; Fri, 22 Sep 2017 13:01:36 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:43356)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1dvRK4-0002gB-GA; Fri, 22 Sep 2017 13:01:04 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1dvRK3-0003SW-Nv; Fri, 22 Sep 2017 13:01:03 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#28311: 25.2; Improve syntax highlighting in bat-mode
References: <CABr8ebapkTTOr25TY3O7bPRAOhy0kXHt8ALse1xVmjLRn29DiA@HIDDEN>
 <87wp5jr100.fsf@HIDDEN> <83fubedf2f.fsf@HIDDEN>
X-Spook: Suspicious substance Sarin BLU-97 A/B Small Pox E. Coli
X-Ran: eD}Q|B3lx{$*0E(_Y[d{0|pU`}Q9Oqn%{_zV*5kSz;b;|%pj,(Q|EYv!Q!U%q2?l?e[7#y
X-Hue: blue
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Fri, 22 Sep 2017 13:01:03 -0400
In-Reply-To: <83fubedf2f.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 22 Sep
 2017 16:43:20 +0300")
Message-ID: <8epoaik6r4.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 18405
Cc: 28311 <at> debbugs.gnu.org, Achim Gratz <Stromeko@HIDDEN>,
 Anders Lindgren <andlind@HIDDEN>, 18405 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)


Running 5 tests (2017-09-22 09:57:54-0700)
   passed  1/5  bat-test-fill-paragraph-comment
hfy batch mode ( *temp*-973592:bat-mode)
Test bat-test-fontification-iter-var-1 backtrace:
  signal(ert-test-failed (((should (equal (bat-test-fontify "echo %%a\
  ert-fail(((should (equal (bat-test-fontify "echo %%a\necho %%~dp1\ne
  (if (unwind-protect (setq value-17 (apply fn-15 args-16)) (setq form
  (let (form-description-19) (if (unwind-protect (setq value-17 (apply
  (let ((value-17 'ert-form-evaluation-aborted-18)) (let (form-descrip
  (let* ((fn-15 (function equal)) (args-16 (condition-case err (let ((
  (closure (t) nil (let* ((fn-15 (function equal)) (args-16 (condition
  ert--run-test-internal(#s(ert--test-execution-info :test #s(ert-test
  ert-run-test(#s(ert-test :name bat-test-fontification-iter-var-1 :do
  ert-run-or-rerun-test(#s(ert--stats :selector t :tests [#s(ert-test 
  ert-run-tests(t #f(compiled-function (event-type &rest event-args) #
  ert-run-tests-batch(nil)
  ert-run-tests-batch-and-exit(nil)
  eval((ert-run-tests-batch-and-exit nil))
  command-line-1(("-L" ":." "-l" "ert" "-l" "lisp/progmodes/bat-mode-t
  command-line()
  normal-top-level()
Test bat-test-fontification-iter-var-1 condition:
    (ert-test-failed
     ((should
       (equal
	(bat-test-fontify "echo %%a
echo %%~dp1
echo %%~$PATH:I")
	"<span class=\"builtin\">echo</span> %%<span class=\"variable-name\">a</span>
<span class=\"builtin\">echo</span> %%~dp<span class=\"variable-name\">1</span>
<span class=\"builtin\">echo</span> %%~$<span class=\"variable-name\">PATH</span>:<span class=\"variable-name\">I</span>"))
      :form
      (equal
       #("<span class=\"builtin\">echo</span> %%<span class=\"variable-name\">a</span>
<span class=\"builtin\">echo</span> %%<span class=\"variable-name\">~dp1</span>
<span class=\"builtin\">echo</span> %%<span class=\"variable-name\">~$PATH:I</span>" 22 26
(face font-lock-builtin-face)
64 65
(face font-lock-variable-name-face)
95 99
(face font-lock-builtin-face)
137 141
(face font-lock-variable-name-face)
171 175
(face font-lock-builtin-face)
213 221
(face font-lock-variable-name-face))
       "<span class=\"builtin\">echo</span> %%<span class=\"variable-name\">a</span>
<span class=\"builtin\">echo</span> %%~dp<span class=\"variable-name\">1</span>
<span class=\"builtin\">echo</span> %%~$<span class=\"variable-name\">PATH</span>:<span class=\"variable-name\">I</span>")
      :value nil :explanation
      (arrays-of-different-length 228 263
				  #("<span class=\"builtin\">echo</span> %%<span class=\"variable-name\">a</span>
<span class=\"builtin\">echo</span> %%<span class=\"variable-name\">~dp1</span>
<span class=\"builtin\">echo</span> %%<span class=\"variable-name\">~$PATH:I</span>" 22 26
(face font-lock-builtin-face)
64 65
(face font-lock-variable-name-face)
95 99
(face font-lock-builtin-face)
137 141
(face font-lock-variable-name-face)
171 175
(face font-lock-builtin-face)
213 221
(face font-lock-variable-name-face))
				  "<span class=\"builtin\">echo</span> %%<span class=\"variable-name\">a</span>
<span class=\"builtin\">echo</span> %%~dp<span class=\"variable-name\">1</span>
<span class=\"builtin\">echo</span> %%~$<span class=\"variable-name\">PATH</span>:<span class=\"variable-name\">I</span>" first-mismatch-at 109)))
   FAILED  2/5  bat-test-fontification-iter-var-1
hfy batch mode ( *temp*-454955:bat-mode)
   passed  3/5  bat-test-fontification-var-decl
hfy batch mode ( *temp*-493544:bat-mode)
   passed  4/5  bat-test-fontification-var-delayed-exp
hfy batch mode ( *temp*-832943:bat-mode)
   passed  5/5  bat-test-fontification-var-exp

Ran 5 tests, 4 results as expected, 1 unexpected (2017-09-22 09:57:54-0700)

1 unexpected results:
   FAILED  bat-test-fontification-iter-var-1





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18405; Package emacs. Full text available.

Message received at 18405 <at> debbugs.gnu.org:


Received: (at 18405) by debbugs.gnu.org; 22 Sep 2017 13:43:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 22 09:43:36 2017
Received: from localhost ([127.0.0.1]:52404 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dvOEy-0000Fi-3b
	for submit <at> debbugs.gnu.org; Fri, 22 Sep 2017 09:43:36 -0400
Received: from eggs.gnu.org ([208.118.235.92]:58500)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1dvOEw-0000FS-IF
 for 18405 <at> debbugs.gnu.org; Fri, 22 Sep 2017 09:43:34 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1dvOEn-0008U8-Co
 for 18405 <at> debbugs.gnu.org; Fri, 22 Sep 2017 09:43:29 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:38063)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1dvOEn-0008U2-Ag; Fri, 22 Sep 2017 09:43:25 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4576
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1dvOEm-0001E2-NX; Fri, 22 Sep 2017 09:43:25 -0400
Date: Fri, 22 Sep 2017 16:43:20 +0300
Message-Id: <83fubedf2f.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Achim Gratz <Stromeko@HIDDEN>, Anders Lindgren <andlind@HIDDEN>
In-reply-to: <87wp5jr100.fsf@HIDDEN> (message from Achim Gratz on Thu, 
 31 Aug 2017 21:27:43 +0200)
Subject: Re: bug#28311: 25.2; Improve syntax highlighting in bat-mode
References: <CABr8ebapkTTOr25TY3O7bPRAOhy0kXHt8ALse1xVmjLRn29DiA@HIDDEN>
 <87wp5jr100.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 18405
Cc: 28311 <at> debbugs.gnu.org, 18405 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Achim Gratz <Stromeko@HIDDEN>
> Date: Thu, 31 Aug 2017 21:27:43 +0200
> 
> Anders Lindgren writes:
> > I've noticed some problems with syntax highlighting in bat-mode.
> 
> Consider joining this report with bug#18405.

I've picked the lower-hanging fruit and fixed some of the problems
reported in these two bug reports on the emacs-26 branch.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18405; Package emacs. Full text available.

Message received at 18405 <at> debbugs.gnu.org:


Received: (at 18405) by debbugs.gnu.org; 9 Sep 2014 14:40:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 09 10:40:00 2014
Received: from localhost ([127.0.0.1]:35468 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XRMaN-000468-ES
	for submit <at> debbugs.gnu.org; Tue, 09 Sep 2014 10:39:59 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:59009)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1XRMaK-00045q-J6
 for 18405 <at> debbugs.gnu.org; Tue, 09 Sep 2014 10:39:57 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0NBN0000021YBC00@HIDDEN> for 18405 <at> debbugs.gnu.org;
 Tue, 09 Sep 2014 17:39:50 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NBN00MFM22DW770@HIDDEN>;
 Tue, 09 Sep 2014 17:39:50 +0300 (IDT)
Date: Tue, 09 Sep 2014 17:40:00 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#18405: 24.3.93; bat-mode.el
In-reply-to: <jwvvbownc7o.fsf-monnier+emacsbugs@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Stefan Monnier <monnier@HIDDEN>
Message-id: <831trkc0xr.fsf@HIDDEN>
References: <87mwaf2pjx.fsf@HIDDEN>
 <jwv61h3m8bx.fsf-monnier+emacsbugs@HIDDEN> <87r3zplxmz.fsf@HIDDEN>
 <540BCFFE.2090404@HIDDEN> <83iokzcvdk.fsf@HIDDEN>
 <540D008F.1080607@HIDDEN> <83tx4ibzot.fsf@HIDDEN>
 <540D18D8.8070901@HIDDEN> <83ppf5aqrl.fsf@HIDDEN>
 <jwvvbownc7o.fsf-monnier+emacsbugs@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 18405
Cc: Stromeko@HIDDEN, dancol@HIDDEN, 18405 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: Daniel Colascione <dancol@HIDDEN>, Stromeko@HIDDEN,
>         18405 <at> debbugs.gnu.org
> Date: Tue, 09 Sep 2014 09:45:50 -0400
> 
> >    . variable definitions in for loops (the 'x' part in "for %%x") are
> >      highlighted with different face from their references in the "do"
> >      part of the loop
> 
> FWIW in sh-mode, for something like "for f in echo $f", we also
> highlight the two occurrences of "f" differently.  I'm not saying it's
> a feature, but it's definitely a common behavior to highlight the
> "introduction" occurrence differently from the "reference" occurrences.

Except that in the ntcmd case, that's not the intended behavior,
AFAICT.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18405; Package emacs. Full text available.

Message received at 18405 <at> debbugs.gnu.org:


Received: (at 18405) by debbugs.gnu.org; 9 Sep 2014 13:45:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 09 09:45:57 2014
Received: from localhost ([127.0.0.1]:34574 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XRLk4-0002Sp-K3
	for submit <at> debbugs.gnu.org; Tue, 09 Sep 2014 09:45:56 -0400
Received: from pruche.dit.umontreal.ca ([132.204.246.22]:56311)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1XRLk3-0002Sg-6l
 for 18405 <at> debbugs.gnu.org; Tue, 09 Sep 2014 09:45:55 -0400
Received: from pastel.home (lechon.iro.umontreal.ca [132.204.27.242])
 by pruche.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id s89Djo6B013500;
 Tue, 9 Sep 2014 09:45:50 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id 2966E60787; Tue,  9 Sep 2014 09:45:50 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#18405: 24.3.93; bat-mode.el
Message-ID: <jwvvbownc7o.fsf-monnier+emacsbugs@HIDDEN>
References: <87mwaf2pjx.fsf@HIDDEN>
 <jwv61h3m8bx.fsf-monnier+emacsbugs@HIDDEN>
 <87r3zplxmz.fsf@HIDDEN> <540BCFFE.2090404@HIDDEN>
 <83iokzcvdk.fsf@HIDDEN> <540D008F.1080607@HIDDEN>
 <83tx4ibzot.fsf@HIDDEN> <540D18D8.8070901@HIDDEN>
 <83ppf5aqrl.fsf@HIDDEN>
Date: Tue, 09 Sep 2014 09:45:50 -0400
In-Reply-To: <83ppf5aqrl.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 09 Sep
 2014 16:05:02 +0300")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV5059=0
X-NAI-Spam-Version: 2.3.0.9378 : core <5059> : inlines <1267> : streams
 <1285455> : uri <1812043>
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: 18405
Cc: Stromeko@HIDDEN, Daniel Colascione <dancol@HIDDEN>,
 18405 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.8 (---)

>    . variable definitions in for loops (the 'x' part in "for %%x") are
>      highlighted with different face from their references in the "do"
>      part of the loop

FWIW in sh-mode, for something like "for f in echo $f", we also
highlight the two occurrences of "f" differently.  I'm not saying it's
a feature, but it's definitely a common behavior to highlight the
"introduction" occurrence differently from the "reference" occurrences.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18405; Package emacs. Full text available.

Message received at 18405 <at> debbugs.gnu.org:


Received: (at 18405) by debbugs.gnu.org; 9 Sep 2014 13:05:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 09 09:05:05 2014
Received: from localhost ([127.0.0.1]:34549 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XRL6W-0001Pm-C3
	for submit <at> debbugs.gnu.org; Tue, 09 Sep 2014 09:05:05 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:39421)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1XRL6R-0001PD-UP
 for 18405 <at> debbugs.gnu.org; Tue, 09 Sep 2014 09:05:01 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0NBM00900X3GL600@HIDDEN> for 18405 <at> debbugs.gnu.org;
 Tue, 09 Sep 2014 16:04:53 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NBM009ALXO4HV40@HIDDEN>;
 Tue, 09 Sep 2014 16:04:52 +0300 (IDT)
Date: Tue, 09 Sep 2014 16:05:02 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#18405: 24.3.93; bat-mode.el
In-reply-to: <540D18D8.8070901@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Daniel Colascione <dancol@HIDDEN>
Message-id: <83ppf5aqrl.fsf@HIDDEN>
References: <87mwaf2pjx.fsf@HIDDEN>
 <jwv61h3m8bx.fsf-monnier+emacsbugs@HIDDEN> <87r3zplxmz.fsf@HIDDEN>
 <540BCFFE.2090404@HIDDEN> <83iokzcvdk.fsf@HIDDEN>
 <540D008F.1080607@HIDDEN> <83tx4ibzot.fsf@HIDDEN>
 <540D18D8.8070901@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 18405
Cc: Stromeko@HIDDEN, 18405 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Sun, 07 Sep 2014 19:47:52 -0700
> From: Daniel Colascione <dancol@HIDDEN>
> CC: Stromeko@HIDDEN, 18405 <at> debbugs.gnu.org
> 
> > My point was that I saw a few of its aspects that might benefit from
> > improvements, and if we are going to add that package to Emacs, I'd
> > like to see those happen.
> 
> Like what?

See below.

> In 2011, you just mentioned that we should be using or enhancing
> bat-generic-mode

My goodness, I hope you don't expect me to forever hold my peace about
this just because I happened to write something 3 years ago.

Here are my comments:

 . There are some strange decisions about faces, for example:

   . the switch letters in Unix-style -x switches are highlighted in
     font-lock-type-face
   . redirection characters are highlighted in font-lock-constant-face
   . opening parenthesis in "echo" commands are given
     font-lock-warning-face
   . variable definitions in for loops (the 'x' part in "for %%x") are
     highlighted with different face from their references in the "do"
     part of the loop

 . Text after "echo" (up to redirection character, if any) is always a
   simple string, except if it's "on" or "off", but is not highlighted
   as a string, which then causes some random highlighting of the
   parts of the string that just happen to match other possible
   syntaxes

 . Something like this confuses fontification of the redirection
   character, probably because of the parentheses (the opening paren
   is given the font-lock-warning-face):

      echo int main()           >junk.c

 . In general, I don't understand what was intended to be the handling
   of parentheses, they seem to be either not highlighted at all or
   given the warning face.

 . A command of this form:

     if exist somefile dosomethingwith somefile

   has "dosomethingwith" sometimes in the font-lock-builtin-face and
   sometimes with no face at all, not sure why.  Looks like when
   'somefile' includes slashes, the command is not fontified.

 . The value to which a variable is set in "set foo-bar" doesn't have
   any face, which causes some funny fontifications if that value
   happens to match unrelated syntaxes, as in "set foo=-bar=baz"

 . The equals sign in "if foo == bar" is sometimes given the
   font-lock-keyword-face and sometimes no face at all.  Here's one
   example of the latter:

    if not (%svgsupport%) == (Y) goto :svgDone

 . This line has its fontifications after "(%distfiles%)" screwed:

    for %%d in (%distfiles%) do if not exist %%d set fileNotFound=%%d

   In particular, built-in commands are not fontified as such.

 . Some built-in commands are missing from ntcmd-shell-builtins:

     assoc, call, mklink

 . "dir" and "rem" appear twice in the list in ntcmd-shell-builtins

 . The support of "set /a" command is incomplete, e.g. try

     set /a y+=140

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18405; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Sep 2014 07:32:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 08 03:32:51 2014
Received: from localhost ([127.0.0.1]:33193 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XQtRS-00028I-Lu
	for submit <at> debbugs.gnu.org; Mon, 08 Sep 2014 03:32:51 -0400
Received: from eggs.gnu.org ([208.118.235.92]:48670)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1XQtRP-000285-SJ
 for submit <at> debbugs.gnu.org; Mon, 08 Sep 2014 03:32:48 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1XQtRE-0006H6-G2
 for submit <at> debbugs.gnu.org; Mon, 08 Sep 2014 03:32:42 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:46102)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1XQtRE-0006H2-Dz
 for submit <at> debbugs.gnu.org; Mon, 08 Sep 2014 03:32:36 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:50386)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1XQtR8-0002un-Pt
 for bug-gnu-emacs@HIDDEN; Mon, 08 Sep 2014 03:32:36 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1XQtR3-0006GO-82
 for bug-gnu-emacs@HIDDEN; Mon, 08 Sep 2014 03:32:30 -0400
Received: from plane.gmane.org ([80.91.229.3]:48327)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1XQtR3-0006GJ-1K
 for bug-gnu-emacs@HIDDEN; Mon, 08 Sep 2014 03:32:25 -0400
Received: from list by plane.gmane.org with local (Exim 4.69)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1XQtR1-0005Ko-Uy
 for bug-gnu-emacs@HIDDEN; Mon, 08 Sep 2014 09:32:23 +0200
Received: from pd9eb1f46.dip0.t-ipconnect.de ([217.235.31.70])
 by main.gmane.org with esmtp (Gmexim 0.1 (Debian))
 id 1AlnuQ-0007hv-00
 for <bug-gnu-emacs@HIDDEN>; Mon, 08 Sep 2014 09:32:23 +0200
Received: from Stromeko by pd9eb1f46.dip0.t-ipconnect.de with local (Gmexim
 0.1 (Debian)) id 1AlnuQ-0007hv-00
 for <bug-gnu-emacs@HIDDEN>; Mon, 08 Sep 2014 09:32:23 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Achim Gratz <Stromeko@HIDDEN>
Subject: Re: bug#18405: 24.3.93; bat-mode.el
Date: Mon, 08 Sep 2014 09:32:12 +0200
Organization: Linux Private Site
Lines: 18
Message-ID: <871trmbm9v.fsf@HIDDEN>
References: <87mwaf2pjx.fsf@HIDDEN>
 <jwv61h3m8bx.fsf-monnier+emacsbugs@HIDDEN>
 <87r3zplxmz.fsf@HIDDEN> <540BCFFE.2090404@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Complaints-To: usenet@HIDDEN
X-Gmane-NNTP-Posting-Host: pd9eb1f46.dip0.t-ipconnect.de
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.93 (gnu/linux)
Cancel-Lock: sha1:fKt+mUZiBGEuXjIHidnzpLLZInE=
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

Daniel Colascione writes:
> Mind just importing http://www.emacswiki.org/emacs/ntcmd.el into trunk?
> It handles a bunch of nasty cmd.exe syntactic corner cases.

I've briefly looked at it and this seems like a better approach in the
long run.  However, I'd still like to have that particular bug in
bat-mode fixed in the next release, while ntcmd.el looks like something
that would have to be done in trunk.  So I suggest that this should be
separate bug report or split it off from the original one if possible.


Regards,
Achim.
-- 
+<[Q+ Matrix-12 WAVE#46+305 Neuron microQkb Andromeda XTk Blofeld]>+

Wavetables for the Terratec KOMPLEXER:
http://Synth.Stromeko.net/Downloads.html#KomplexerWaves





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18405; Package emacs. Full text available.

Message received at 18405 <at> debbugs.gnu.org:


Received: (at 18405) by debbugs.gnu.org; 8 Sep 2014 02:48:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 07 22:48:06 2014
Received: from localhost ([127.0.0.1]:33127 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XQozt-00016O-Av
	for submit <at> debbugs.gnu.org; Sun, 07 Sep 2014 22:48:05 -0400
Received: from dancol.org ([96.126.100.184]:38002)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <dancol@HIDDEN>) id 1XQozq-00015x-Lz
 for 18405 <at> debbugs.gnu.org; Sun, 07 Sep 2014 22:48:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=dancol.org;
 s=x; 
 h=Content-Type:In-Reply-To:References:Subject:CC:To:MIME-Version:From:Date:Message-ID;
 bh=n10IFqawnOMItKQ8rEeJc0x8DSEWAv6IxwsslhxjHYE=; 
 b=n/v4SL5bFVJwDsZqFdZYBChetQJAipYHtXPv5P5P1neK3cDRhfV8E5LROb0za/rS+p9evhOAp/TFEVHvkjQTfWr4LurDbkUUcWmv5HG/5riuF33olM34POkmyHmjuqDcBAs4Q5IiOGDi4I7/e8O+Q1HduRk2CZg0NSsERWzcIkXHxrdw8GDqSVCWgzXX3MNBUVp8eTyv5tsEvkJgCNgsBM42iO0t/xrMmbGe6ICERhe/qOIa/YMZWA1G4/z3PaivlHzYS+PlZ7G6vdlfcw6D7xLr5vWyEDzue4QAW14H8FPCiAbiirqnQtLmn/1ptc2Lfi9pTvgtn50hkg6rQk3KCw==;
Received: from [2620:0:1cfe:9a:863a:4bff:fec8:e538]
 by dancol.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_RC2) (envelope-from <dancol@HIDDEN>)
 id 1XQozo-0005Ks-7x; Sun, 07 Sep 2014 19:48:00 -0700
Message-ID: <540D18D8.8070901@HIDDEN>
Date: Sun, 07 Sep 2014 19:47:52 -0700
From: Daniel Colascione <dancol@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:31.0) Gecko/20100101 Thunderbird/31.0
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#18405: 24.3.93; bat-mode.el
References: <87mwaf2pjx.fsf@HIDDEN>
 <jwv61h3m8bx.fsf-monnier+emacsbugs@HIDDEN> <87r3zplxmz.fsf@HIDDEN>
 <540BCFFE.2090404@HIDDEN> <83iokzcvdk.fsf@HIDDEN>
 <540D008F.1080607@HIDDEN> <83tx4ibzot.fsf@HIDDEN>
In-Reply-To: <83tx4ibzot.fsf@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="lAD3jolfPPF3nSnNM70l6u9kduproUM2r"
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: 18405
Cc: Stromeko@HIDDEN, 18405 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.6 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--lAD3jolfPPF3nSnNM70l6u9kduproUM2r
Content-Type: text/plain; charset=windows-1252
Content-Transfer-Encoding: quoted-printable



On 09/07/2014 07:42 PM, Eli Zaretskii wrote:
>> Date: Sun, 07 Sep 2014 18:04:15 -0700
>> From: Daniel Colascione <dancol@HIDDEN>
>> CC: Stromeko@HIDDEN, 18405 <at> debbugs.gnu.org
>>
>> On 09/07/2014 08:17 AM, Eli Zaretskii wrote:
>>>> Date: Sat, 06 Sep 2014 20:24:46 -0700
>>>> From: Daniel Colascione <dancol@HIDDEN>
>>>>
>>>> Mind just importing http://www.emacswiki.org/emacs/ntcmd.el into tru=
nk?
>>>
>>> Would you mind some comments about it?
>>
>> Sorry --- I should have been more specific. I wrote ntcmd a while ago
>> because I was frustrated with existing modes for working with batch
>> files. ntcmd uses a parser to deal with cmd.exe's very weird syntax;
>> it's important to do that because cmd's syntax is highly irregular and=

>> using regular font-lock patterns to match it is doomed --- in
>> particular, matches involving loop variables are complicated. (See
>> ntcmd-forward-generic-cmd and ntcmd-forward-for-cmd for some interesti=
ng
>> special cases and fossilized cmd.exe bugs.)
>=20
> I've read the code, so yes, I've seen that.
>=20
> My point was that I saw a few of its aspects that might benefit from
> improvements, and if we are going to add that package to Emacs, I'd
> like to see those happen.

Like what? In 2011, you just mentioned that we should be using or
enhancing bat-generic-mode, which, as I explained, is insufficient.


--lAD3jolfPPF3nSnNM70l6u9kduproUM2r
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCAAGBQJUDRjYAAoJEN4WImmbpWBl8OIP/jr3PgZ0Tpt5KwgIYu6VIE4w
pdOnA9KVjG8dsVPKmadKgGsLymW2j2O3aJCeTG5ENciGQSapHKyt+YqW+aAS0du7
o/NjWaQqjcJEISHEnxfePoRCQv4tC70p5bhEYJeqqL+1Iijq2++ehJSufXtfvFSd
xfy9qTaE52qvmwuKORFMY+LjrCXZH5lX8vB8O3Jut8qoUKXt+J3r/nqFyRb7Cnbi
6gtaysCx5GT2QI/xfRbQ1GHqLLVoDCJW7F3OkxjgvUiZFWbvjYj6hc+ik3Khqstf
s9fC8sFm1iVp3YrcChh6dEj3cQ070zaAwd/jUQvAEUcl5xJ9A1P7dZBH4O/p0KnW
QY75PgToVeMbKDoF0oOgLdtRXhK5f0A/hVcowI54sdaZVWc/iJpibnlGF5KZpGnl
58005hsacdnnLJRkYhWUsKilqkT9FgI5Rcd1p/u9HVLuJubvkdM8YupvZhRA4tAR
QUNtcjLPfbjyu3t7cYfF5sh6mp04NSo9eNQ2xSH498H0O6rPutL7NVX9e/FJ0fHP
w3P8pgz+Mq8sGzRj+Uke14L76ks/HqIJCRUJKhOtQGGUp1OxeFoLpDcS5N2p4ytJ
8TCoGA4Dr7wtUFBK2HIPlAHoetalxqA2Q+7jnTpmsjiacAsHmbKDCYkHrH/J/8Q0
CkEPirrBRH0E6XqgQikR
=B1uY
-----END PGP SIGNATURE-----

--lAD3jolfPPF3nSnNM70l6u9kduproUM2r--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18405; Package emacs. Full text available.

Message received at 18405 <at> debbugs.gnu.org:


Received: (at 18405) by debbugs.gnu.org; 8 Sep 2014 02:42:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 07 22:42:30 2014
Received: from localhost ([127.0.0.1]:33119 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XQouT-0000xL-Rm
	for submit <at> debbugs.gnu.org; Sun, 07 Sep 2014 22:42:30 -0400
Received: from mtaout21.012.net.il ([80.179.55.169]:59382)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1XQouR-0000x4-2u
 for 18405 <at> debbugs.gnu.org; Sun, 07 Sep 2014 22:42:28 -0400
Received: from conversion-daemon.a-mtaout21.012.net.il by
 a-mtaout21.012.net.il (HyperSendmail v2007.08) id
 <0NBK00F009P35P00@HIDDEN> for 18405 <at> debbugs.gnu.org;
 Mon, 08 Sep 2014 05:42:20 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout21.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NBK00F57A6K4L30@HIDDEN>;
 Mon, 08 Sep 2014 05:42:20 +0300 (IDT)
Date: Mon, 08 Sep 2014 05:42:26 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#18405: 24.3.93; bat-mode.el
In-reply-to: <540D008F.1080607@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Daniel Colascione <dancol@HIDDEN>
Message-id: <83tx4ibzot.fsf@HIDDEN>
References: <87mwaf2pjx.fsf@HIDDEN>
 <jwv61h3m8bx.fsf-monnier+emacsbugs@HIDDEN> <87r3zplxmz.fsf@HIDDEN>
 <540BCFFE.2090404@HIDDEN> <83iokzcvdk.fsf@HIDDEN>
 <540D008F.1080607@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 18405
Cc: Stromeko@HIDDEN, 18405 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Sun, 07 Sep 2014 18:04:15 -0700
> From: Daniel Colascione <dancol@HIDDEN>
> CC: Stromeko@HIDDEN, 18405 <at> debbugs.gnu.org
> 
> On 09/07/2014 08:17 AM, Eli Zaretskii wrote:
> >> Date: Sat, 06 Sep 2014 20:24:46 -0700
> >> From: Daniel Colascione <dancol@HIDDEN>
> >>
> >> Mind just importing http://www.emacswiki.org/emacs/ntcmd.el into trunk?
> > 
> > Would you mind some comments about it?
> 
> Sorry --- I should have been more specific. I wrote ntcmd a while ago
> because I was frustrated with existing modes for working with batch
> files. ntcmd uses a parser to deal with cmd.exe's very weird syntax;
> it's important to do that because cmd's syntax is highly irregular and
> using regular font-lock patterns to match it is doomed --- in
> particular, matches involving loop variables are complicated. (See
> ntcmd-forward-generic-cmd and ntcmd-forward-for-cmd for some interesting
> special cases and fossilized cmd.exe bugs.)

I've read the code, so yes, I've seen that.

My point was that I saw a few of its aspects that might benefit from
improvements, and if we are going to add that package to Emacs, I'd
like to see those happen.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18405; Package emacs. Full text available.

Message received at 18405 <at> debbugs.gnu.org:


Received: (at 18405) by debbugs.gnu.org; 8 Sep 2014 01:04:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 07 21:04:28 2014
Received: from localhost ([127.0.0.1]:33067 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XQnNb-0006wt-Jp
	for submit <at> debbugs.gnu.org; Sun, 07 Sep 2014 21:04:27 -0400
Received: from dancol.org ([96.126.100.184]:37593)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <dancol@HIDDEN>) id 1XQnNZ-0006wk-2U
 for 18405 <at> debbugs.gnu.org; Sun, 07 Sep 2014 21:04:26 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=dancol.org;
 s=x; 
 h=Content-Type:In-Reply-To:References:Subject:CC:To:MIME-Version:From:Date:Message-ID;
 bh=C05CLtO0DBnIkKne1ayEpEKif0UKSNe0pQyWb/1ZocE=; 
 b=WqpxWRdyUHS/SysUekeUmCQuPLK4YFAO+R1GGUAAlNO6I4g9BQ/9EIFq2JstaTOoenJL5+XtP50bZHd8m8gO7Ennv33fO9hOlXjKlqfSy+A1I3TumGgd5Tkgd91Yr5LjMyySlWnJMXVHP1cLvToY8deWMV1RxFllFIEOx3aX5eNeVE4Vimw3pBUVH1J16VMrIf8zTiXkyszEhFjnl7uFUXp7NQFPZvfBY1v4Kct4yMWH/C6FpmeyI+iTbdNBxUt9Pnqs3zCHcK7l+aL37CNsg/Fwc/q2nuIJspJVcCdKgRiKW0M5RuilxebhMJG5RO3TdOqUrd3tV0yvEtgraQFWMQ==;
Received: from [2620:0:1cfe:9a:863a:4bff:fec8:e538]
 by dancol.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_RC2) (envelope-from <dancol@HIDDEN>)
 id 1XQnNV-0004aU-KI; Sun, 07 Sep 2014 18:04:21 -0700
Message-ID: <540D008F.1080607@HIDDEN>
Date: Sun, 07 Sep 2014 18:04:15 -0700
From: Daniel Colascione <dancol@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:31.0) Gecko/20100101 Thunderbird/31.0
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#18405: 24.3.93; bat-mode.el
References: <87mwaf2pjx.fsf@HIDDEN>
 <jwv61h3m8bx.fsf-monnier+emacsbugs@HIDDEN> <87r3zplxmz.fsf@HIDDEN>
 <540BCFFE.2090404@HIDDEN> <83iokzcvdk.fsf@HIDDEN>
In-Reply-To: <83iokzcvdk.fsf@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="e3ISPXsFqHi4LuFHA8hapc5786IPMVrt9"
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: 18405
Cc: Stromeko@HIDDEN, 18405 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.6 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--e3ISPXsFqHi4LuFHA8hapc5786IPMVrt9
Content-Type: text/plain; charset=windows-1252
Content-Transfer-Encoding: quoted-printable

On 09/07/2014 08:17 AM, Eli Zaretskii wrote:
>> Date: Sat, 06 Sep 2014 20:24:46 -0700
>> From: Daniel Colascione <dancol@HIDDEN>
>>
>> Mind just importing http://www.emacswiki.org/emacs/ntcmd.el into trunk=
?
>=20
> Would you mind some comments about it?

Sorry --- I should have been more specific. I wrote ntcmd a while ago
because I was frustrated with existing modes for working with batch
files. ntcmd uses a parser to deal with cmd.exe's very weird syntax;
it's important to do that because cmd's syntax is highly irregular and
using regular font-lock patterns to match it is doomed --- in
particular, matches involving loop variables are complicated. (See
ntcmd-forward-generic-cmd and ntcmd-forward-for-cmd for some interesting
special cases and fossilized cmd.exe bugs.)


--e3ISPXsFqHi4LuFHA8hapc5786IPMVrt9
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCAAGBQJUDQCPAAoJEN4WImmbpWBl2HMP+gLiB0AzULYE/OPG8kEdQUbL
KrKL6FwSfHV2mcs0DEoRfGe/D4CPtBHm1csOXWE3sGwvuza2TBWjHZOdcFoSiDOT
/BHeaJUHKwr8hcDzCmCmpo4l3ex8oErASf5AlHlb70RldZnzsFSGrAdMCtpcrvsj
FoYPy7OubQXEFnRJ7YQ2ph74yjZ5+99Om4l1subE1JGN4TyD2NKz0HNvZpkRRqt/
gpr+93cECAzkj+KD4jJGo8suofqwJZ3x0cpx/VSVTKgUyoy7W1yCnt9ONOcVbgYu
lSOJP+KmXfASngDo79AwUwIxmXwkfHgB1psbfkFNE79BTzVDBwh1VMJYQYV2/1/B
8+fZKejgp5dpaAbjpUfAFsD0hHTZQxHSLxXXVd5rnb1I12wDxQ0xQP3Hye6SPOPT
B2uQfYtsrIq3B7LvUQmZ1qp9XQ5A7G/ilxYKW4n2Ufs/wUu3cZlJsjN1GEXF0RV/
fAWiAv4b723Uw0WS3oAj975voTs4IvBN86pqHah8/glop7Z7MHoJLCYWzHaeWz7b
wha+l04vptC3amWJRBbw0dMo/AUiOP9cXcaRebUFRjVPxrUZQEz7ioKqAO34Qff1
A2Cngl/63R9Ot+LYFgp+Y25zR/n5Oe55HCD8sUn6Hpn/a1AXHqquyQjqWUN+kr0B
sml8oYCOZfRSqVeKXTbf
=+Kue
-----END PGP SIGNATURE-----

--e3ISPXsFqHi4LuFHA8hapc5786IPMVrt9--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18405; Package emacs. Full text available.

Message received at 18405 <at> debbugs.gnu.org:


Received: (at 18405) by debbugs.gnu.org; 7 Sep 2014 15:18:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 07 11:18:04 2014
Received: from localhost ([127.0.0.1]:32929 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XQeE7-0000ul-On
	for submit <at> debbugs.gnu.org; Sun, 07 Sep 2014 11:18:04 -0400
Received: from mtaout26.012.net.il ([80.179.55.182]:49192)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1XQeE4-0000uD-Qa
 for 18405 <at> debbugs.gnu.org; Sun, 07 Sep 2014 11:18:02 -0400
Received: from conversion-daemon.mtaout26.012.net.il by mtaout26.012.net.il
 (HyperSendmail v2007.08) id <0NBJ00N00EB7DX00@HIDDEN> for
 18405 <at> debbugs.gnu.org; Sun, 07 Sep 2014 18:15:52 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout26.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NBJ00IBREEF9G50@HIDDEN>; Sun, 07 Sep 2014 18:15:52 +0300 (IDT)
Date: Sun, 07 Sep 2014 18:17:59 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#18405: 24.3.93; bat-mode.el
In-reply-to: <540BCFFE.2090404@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Daniel Colascione <dancol@HIDDEN>
Message-id: <83iokzcvdk.fsf@HIDDEN>
References: <87mwaf2pjx.fsf@HIDDEN>
 <jwv61h3m8bx.fsf-monnier+emacsbugs@HIDDEN> <87r3zplxmz.fsf@HIDDEN>
 <540BCFFE.2090404@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 18405
Cc: Stromeko@HIDDEN, 18405 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Sat, 06 Sep 2014 20:24:46 -0700
> From: Daniel Colascione <dancol@HIDDEN>
> 
> Mind just importing http://www.emacswiki.org/emacs/ntcmd.el into trunk?

Would you mind some comments about it?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18405; Package emacs. Full text available.

Message received at 18405 <at> debbugs.gnu.org:


Received: (at 18405) by debbugs.gnu.org; 7 Sep 2014 03:24:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 06 23:24:55 2014
Received: from localhost ([127.0.0.1]:60838 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XQT5y-0006Xl-Gb
	for submit <at> debbugs.gnu.org; Sat, 06 Sep 2014 23:24:54 -0400
Received: from dancol.org ([96.126.100.184]:60813)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <dancol@HIDDEN>) id 1XQT5w-0006Xd-8Q
 for 18405 <at> debbugs.gnu.org; Sat, 06 Sep 2014 23:24:53 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=dancol.org;
 s=x; 
 h=Content-Type:In-Reply-To:References:Subject:To:MIME-Version:From:Date:Message-ID;
 bh=6JZc7JCaPTLndSwgKaeS665bbsh2ugLXKvRPANkww0Y=; 
 b=jBYTINNJLZ51odFUq32mQSjFbhSaPiGblb7p2tTYM6NoGbL955KRw1YM1wK6Ox17+cItEtLKtwCsb0VtzM5NCeZcmcJrDd5/140o+IcKtq/8zpUvs5izM9HpttfDQQMIo7zFu0UGz2eEKylB8QHMogrNTP5Z5vHCYG+m0FGAxsig6I1cWyJOUXHSinaezj8oPdhKoxou2aFhm3SYFd9D4W6znlixEvOpBNPkh2RNF2N4MoNSXzUu6rtiihhxwXoUHRcI8V86lZb/FKYB7Ny2QVCcDwFWl85VaunYqLuexbE7rr9NzcnMXuFo+8jBZeWBah4wSyWX1pNfK1KBQtjziQ==;
Received: from [2601:8:b200:2c3::2b1]
 by dancol.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_RC2) (envelope-from <dancol@HIDDEN>)
 id 1XQT5s-0003zy-GH; Sat, 06 Sep 2014 20:24:48 -0700
Message-ID: <540BCFFE.2090404@HIDDEN>
Date: Sat, 06 Sep 2014 20:24:46 -0700
From: Daniel Colascione <dancol@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:31.0) Gecko/20100101 Thunderbird/31.0
MIME-Version: 1.0
To: Achim Gratz <Stromeko@HIDDEN>, 18405 <at> debbugs.gnu.org
Subject: Re: bug#18405: 24.3.93; bat-mode.el
References: <87mwaf2pjx.fsf@HIDDEN>	<jwv61h3m8bx.fsf-monnier+emacsbugs@HIDDEN>
 <87r3zplxmz.fsf@HIDDEN>
In-Reply-To: <87r3zplxmz.fsf@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="hfL8HO8fG1VpLb4Mxx1A9E5M2rp59C6fo"
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: 18405
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.6 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--hfL8HO8fG1VpLb4Mxx1A9E5M2rp59C6fo
Content-Type: text/plain; charset=windows-1252
Content-Transfer-Encoding: quoted-printable

On 09/05/2014 11:39 AM, Achim Gratz wrote:
> Stefan Monnier writes:
>> When can variable refs be of the form %name or !name
>> (i.e. without the terminating % or !)?
>=20
> These are so-called parameter variables; more specifically loop
> variables and arguments, these must be single alpha character or
> numerical.  There are also local variables when you enable extended
> syntax, but they localize the environment variables and thus keep their=

> syntax.
>=20
> I think that's the best syntax description (and most concise) I've foun=
d
> so far:
>=20

Mind just importing http://www.emacswiki.org/emacs/ntcmd.el into trunk?
It handles a bunch of nasty cmd.exe syntactic corner cases.


--hfL8HO8fG1VpLb4Mxx1A9E5M2rp59C6fo
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCAAGBQJUC8/+AAoJEN4WImmbpWBlx2wP/29HHoPPfM9NgF41dQvaW2f9
4+NBpBJim/YYCI93EvAb6NXEDJ6QayXlR2jidxXyAmpcTHPZrltZz1B8fzdqMwFy
iFtKm9twjjO5UrCma4faiPBbtdtXHDU0ODGh0xmT7JYnyCO8TSy1vXXhf+cHMvQG
pjQnJINUd5gXQ55Oj7n0EG9aT+Pp4EBq3LxC0XvxH09+GZn0zKwFH/qITLwpMtbm
7WMchfwEh0gFJy3WO5QolYr7xH4PL+fb49Khb82usJfTPjR3fSy/GO2mzkhMvDiA
w9Ami8yQtgccL+cvygorC8enZeZ2H/KtrZFhi1PvXPADuTWahW+zkIz4Sd6m40//
qRXloX4cIpOtHwzJ+ECMspecwkdselWnRLBjs6pFJZnazNBvG+F7ObN7Df8imUDk
URlrLUihNKb9Q26dh32Ya9mM2RCeIEqTV7ZgLQQM4Po9mwF4FEZO38aNBtAAqVOz
kKb35zwgauBy00zv1VReRF9kJPwCq4n1CwzHg8PYpbeeedd1ZzJsuSM1PQB6qL+9
fT/fNjGVpUM0dkJYBT8vjnmwoT/DSuFTMF1ZSsp2/7i0aXtIZyla+jJ6Jk+R8xxw
/59uUP/7ZotDRxtbOQePmW1tlecMLUwfGbv2OduaYjbMGxUMBs6lKpkR2v0Wq/sb
4F9dQjkgaHnhQASJRKE5
=CxUH
-----END PGP SIGNATURE-----

--hfL8HO8fG1VpLb4Mxx1A9E5M2rp59C6fo--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18405; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Sep 2014 18:40:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 05 14:40:35 2014
Received: from localhost ([127.0.0.1]:60083 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XPyR0-0005Ri-9F
	for submit <at> debbugs.gnu.org; Fri, 05 Sep 2014 14:40:34 -0400
Received: from eggs.gnu.org ([208.118.235.92]:46777)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1XPyQw-0005RS-LM
 for submit <at> debbugs.gnu.org; Fri, 05 Sep 2014 14:40:31 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1XPyQi-0001gu-Qv
 for submit <at> debbugs.gnu.org; Fri, 05 Sep 2014 14:40:23 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:46387)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1XPyQi-0001gq-NP
 for submit <at> debbugs.gnu.org; Fri, 05 Sep 2014 14:40:16 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:48431)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1XPyQc-0005r8-P6
 for bug-gnu-emacs@HIDDEN; Fri, 05 Sep 2014 14:40:16 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1XPyQV-0001Qg-HC
 for bug-gnu-emacs@HIDDEN; Fri, 05 Sep 2014 14:40:10 -0400
Received: from plane.gmane.org ([80.91.229.3]:40422)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1XPyQV-0001QF-Bq
 for bug-gnu-emacs@HIDDEN; Fri, 05 Sep 2014 14:40:03 -0400
Received: from list by plane.gmane.org with local (Exim 4.69)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1XPyQS-0001si-6Y
 for bug-gnu-emacs@HIDDEN; Fri, 05 Sep 2014 20:40:00 +0200
Received: from pd9eb040a.dip0.t-ipconnect.de ([217.235.4.10])
 by main.gmane.org with esmtp (Gmexim 0.1 (Debian))
 id 1AlnuQ-0007hv-00
 for <bug-gnu-emacs@HIDDEN>; Fri, 05 Sep 2014 20:40:00 +0200
Received: from Stromeko by pd9eb040a.dip0.t-ipconnect.de with local (Gmexim
 0.1 (Debian)) id 1AlnuQ-0007hv-00
 for <bug-gnu-emacs@HIDDEN>; Fri, 05 Sep 2014 20:40:00 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Achim Gratz <Stromeko@HIDDEN>
Subject: Re: bug#18405: 24.3.93; bat-mode.el
Date: Fri, 05 Sep 2014 20:39:48 +0200
Organization: Linux Private Site
Lines: 24
Message-ID: <87r3zplxmz.fsf@HIDDEN>
References: <87mwaf2pjx.fsf@HIDDEN>
 <jwv61h3m8bx.fsf-monnier+emacsbugs@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Complaints-To: usenet@HIDDEN
X-Gmane-NNTP-Posting-Host: pd9eb040a.dip0.t-ipconnect.de
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.93 (gnu/linux)
Cancel-Lock: sha1:9alrOCa2cE/Eznd1+nd/O0GzyWg=
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

Stefan Monnier writes:
> When can variable refs be of the form %name or !name
> (i.e. without the terminating % or !)?

These are so-called parameter variables; more specifically loop
variables and arguments, these must be single alpha character or
numerical.  There are also local variables when you enable extended
syntax, but they localize the environment variables and thus keep their
syntax.

I think that's the best syntax description (and most concise) I've found
so far:

http://ss64.com/nt/syntax-variables.html
http://ss64.com/nt/syntax-args.html


Regards,
Achim.
-- 
+<[Q+ Matrix-12 WAVE#46+305 Neuron microQkb Andromeda XTk Blofeld]>+

SD adaptations for Waldorf Q V3.00R3 and Q+ V3.54R2:
http://Synth.Stromeko.net/Downloads.html#WaldorfSDada





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18405; Package emacs. Full text available.

Message received at 18405 <at> debbugs.gnu.org:


Received: (at 18405) by debbugs.gnu.org; 5 Sep 2014 07:19:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 05 03:19:16 2014
Received: from localhost ([127.0.0.1]:59229 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XPnng-0002an-8c
	for submit <at> debbugs.gnu.org; Fri, 05 Sep 2014 03:19:16 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:49762)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1XPnnd-0002aW-1A
 for 18405 <at> debbugs.gnu.org; Fri, 05 Sep 2014 03:19:14 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0NBF00E002X20U00@HIDDEN> for 18405 <at> debbugs.gnu.org;
 Fri, 05 Sep 2014 10:19:06 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NBF00DYQ2ZUUT20@HIDDEN>;
 Fri, 05 Sep 2014 10:19:06 +0300 (IDT)
Date: Fri, 05 Sep 2014 10:19:21 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#18405: 24.3.93; bat-mode.el
In-reply-to: <83fvg6eehn.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: monnier@HIDDEN
Message-id: <83egvqedqe.fsf@HIDDEN>
References: <87mwaf2pjx.fsf@HIDDEN>
 <jwv61h3m8bx.fsf-monnier+emacsbugs@HIDDEN> <83fvg6eehn.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 18405
Cc: Stromeko@HIDDEN, 18405 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Fri, 05 Sep 2014 10:03:00 +0300
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: Stromeko@HIDDEN, 18405 <at> debbugs.gnu.org
> 
> > When can variable refs be of the form %name or !name (i.e. without
> > the terminating % or !)?
> 
> In the FOR loops.

And, of course, in references to batch file arguments, like %1, %2,
etc.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18405; Package emacs. Full text available.

Message received at 18405 <at> debbugs.gnu.org:


Received: (at 18405) by debbugs.gnu.org; 5 Sep 2014 07:02:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 05 03:02:56 2014
Received: from localhost ([127.0.0.1]:59220 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XPnXr-0002Aa-P7
	for submit <at> debbugs.gnu.org; Fri, 05 Sep 2014 03:02:55 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:46901)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1XPnXo-0002AF-Jl
 for 18405 <at> debbugs.gnu.org; Fri, 05 Sep 2014 03:02:53 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0NBF00D0026IUO00@HIDDEN> for 18405 <at> debbugs.gnu.org;
 Fri, 05 Sep 2014 10:02:45 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NBF00DPL28LMU40@HIDDEN>;
 Fri, 05 Sep 2014 10:02:45 +0300 (IDT)
Date: Fri, 05 Sep 2014 10:03:00 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#18405: 24.3.93; bat-mode.el
In-reply-to: <jwv61h3m8bx.fsf-monnier+emacsbugs@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Stefan Monnier <monnier@HIDDEN>
Message-id: <83fvg6eehn.fsf@HIDDEN>
References: <87mwaf2pjx.fsf@HIDDEN>
 <jwv61h3m8bx.fsf-monnier+emacsbugs@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 18405
Cc: Stromeko@HIDDEN, 18405 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Thu, 04 Sep 2014 16:39:25 -0400
> Cc: 18405 <at> debbugs.gnu.org
> 
> When can variable refs be of the form %name or !name (i.e. without
> the terminating % or !)?

In the FOR loops.  The simplest example is (words in caps are
keywords, but don't need to appear in caps):

   FOR %f in (*.c) DO something %f




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18405; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Sep 2014 20:51:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 04 16:51:48 2014
Received: from localhost ([127.0.0.1]:59072 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XPe0S-0003ku-4n
	for submit <at> debbugs.gnu.org; Thu, 04 Sep 2014 16:51:48 -0400
Received: from eggs.gnu.org ([208.118.235.92]:58404)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1XPe0P-0003kc-3g
 for submit <at> debbugs.gnu.org; Thu, 04 Sep 2014 16:51:45 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1XPe0C-0002s5-N4
 for submit <at> debbugs.gnu.org; Thu, 04 Sep 2014 16:51:39 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:37893)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1XPe0C-0002s1-Kc
 for submit <at> debbugs.gnu.org; Thu, 04 Sep 2014 16:51:32 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:60101)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1XPe06-0001a9-5t
 for bug-gnu-emacs@HIDDEN; Thu, 04 Sep 2014 16:51:32 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1XPdzz-0002pR-TR
 for bug-gnu-emacs@HIDDEN; Thu, 04 Sep 2014 16:51:26 -0400
Received: from plane.gmane.org ([80.91.229.3]:42305)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1XPdzz-0002os-Mh
 for bug-gnu-emacs@HIDDEN; Thu, 04 Sep 2014 16:51:19 -0400
Received: from list by plane.gmane.org with local (Exim 4.69)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1XPdzy-0005U3-3t
 for bug-gnu-emacs@HIDDEN; Thu, 04 Sep 2014 22:51:18 +0200
Received: from pd9eb36d8.dip0.t-ipconnect.de ([217.235.54.216])
 by main.gmane.org with esmtp (Gmexim 0.1 (Debian))
 id 1AlnuQ-0007hv-00
 for <bug-gnu-emacs@HIDDEN>; Thu, 04 Sep 2014 22:51:18 +0200
Received: from Stromeko by pd9eb36d8.dip0.t-ipconnect.de with local (Gmexim
 0.1 (Debian)) id 1AlnuQ-0007hv-00
 for <bug-gnu-emacs@HIDDEN>; Thu, 04 Sep 2014 22:51:18 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Achim Gratz <Stromeko@HIDDEN>
Subject: Re: bug#18405: 24.3.93; bat-mode.el
Date: Thu, 04 Sep 2014 22:51:04 +0200
Organization: Linux Private Site
Lines: 22
Message-ID: <87iol32jpj.fsf@HIDDEN>
References: <87mwaf2pjx.fsf@HIDDEN>
 <jwv61h3m8bx.fsf-monnier+emacsbugs@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Complaints-To: usenet@HIDDEN
X-Gmane-NNTP-Posting-Host: pd9eb36d8.dip0.t-ipconnect.de
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.93 (gnu/linux)
Cancel-Lock: sha1:01zL//B5rFfmRHRmL1yHUf7SbuY=
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

Stefan Monnier writes:
> I know nothing of cmd.exe's syntax and the general thrust of the change
> sounds good, but: the above matches "%foo\nbar", which is probably not
> right.  When can variable refs be of the form %name or !name
> (i.e. without the terminating % or !)?

I haven't tried embedded newlines (or rather \r\n as it were) in
variable names.  Just like the embedded '%' character they probably are
possible somehow, but mostly useless.  So it would make sense to exclude
them (embedded whitespace is also somewhat iffy, but it tends to work
surprisingly well within CMD itself).  The syntax for variable names in
CMD does not seem to be specified formally, at least I haven't found
anything.


Regards,
Achim.
-- 
+<[Q+ Matrix-12 WAVE#46+305 Neuron microQkb Andromeda XTk Blofeld]>+

Wavetables for the Terratec KOMPLEXER:
http://Synth.Stromeko.net/Downloads.html#KomplexerWaves





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18405; Package emacs. Full text available.

Message received at 18405 <at> debbugs.gnu.org:


Received: (at 18405) by debbugs.gnu.org; 4 Sep 2014 20:39:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 04 16:39:34 2014
Received: from localhost ([127.0.0.1]:59068 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XPdob-0003Sm-9j
	for submit <at> debbugs.gnu.org; Thu, 04 Sep 2014 16:39:33 -0400
Received: from relais.videotron.ca ([24.201.245.36]:51359)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1XPdoX-0003SZ-Vp
 for 18405 <at> debbugs.gnu.org; Thu, 04 Sep 2014 16:39:30 -0400
MIME-version: 1.0
Content-transfer-encoding: 7BIT
Content-type: text/plain; CHARSET=US-ASCII
Received: from ceviche.home ([24.201.170.218]) by VL-VM-MR005.ip.videotron.ca
 (Oracle Communications Messaging Exchange Server 7u4-22.01 64bit
 (built Apr 21
 2011)) with ESMTP id <0NBE009Y99DO0C90@HIDDEN> for
 18405 <at> debbugs.gnu.org; Thu, 04 Sep 2014 16:39:24 -0400 (EDT)
Received: by ceviche.home (Postfix, from userid 20848)	id 509C8660C4; Thu,
 04 Sep 2014 16:39:25 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Achim Gratz <Stromeko@HIDDEN>
Subject: Re: bug#18405: 24.3.93; bat-mode.el
Message-id: <jwv61h3m8bx.fsf-monnier+emacsbugs@HIDDEN>
References: <87mwaf2pjx.fsf@HIDDEN>
Date: Thu, 04 Sep 2014 16:39:25 -0400
In-reply-to: <87mwaf2pjx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 18405
Cc: 18405 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

>         ("%\\([^%]+\\)%?"
>          (1 font-lock-variable-name-face))
>         ("!\\([^!%]+\\)!?"                ; delayed-expansion !variable!
>          (1 font-lock-variable-name-face))

I know nothing of cmd.exe's syntax and the general thrust of the change
sounds good, but: the above matches "%foo\nbar", which is probably not
right.  When can variable refs be of the form %name or !name
(i.e. without the terminating % or !)?


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18405; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Sep 2014 18:45:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 04 14:45:28 2014
Received: from localhost ([127.0.0.1]:59014 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XPc2B-0000c6-Us
	for submit <at> debbugs.gnu.org; Thu, 04 Sep 2014 14:45:28 -0400
Received: from eggs.gnu.org ([208.118.235.92]:33177)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <Stromeko@HIDDEN>) id 1XPc28-0000bn-SW
 for submit <at> debbugs.gnu.org; Thu, 04 Sep 2014 14:45:26 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <Stromeko@HIDDEN>) id 1XPc1x-00032r-8s
 for submit <at> debbugs.gnu.org; Thu, 04 Sep 2014 14:45:19 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:53168)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <Stromeko@HIDDEN>) id 1XPc1x-00032l-6c
 for submit <at> debbugs.gnu.org; Thu, 04 Sep 2014 14:45:13 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:34880)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <Stromeko@HIDDEN>) id 1XPc1r-0003wo-5D
 for bug-gnu-emacs@HIDDEN; Thu, 04 Sep 2014 14:45:13 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <Stromeko@HIDDEN>) id 1XPc1k-0002jB-PT
 for bug-gnu-emacs@HIDDEN; Thu, 04 Sep 2014 14:45:07 -0400
Received: from mail-in-08.arcor-online.net ([151.189.21.48]:38388)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <Stromeko@HIDDEN>) id 1XPc1k-0002if-G7
 for bug-gnu-emacs@HIDDEN; Thu, 04 Sep 2014 14:45:00 -0400
Received: from mail-in-20-z2.arcor-online.net (mail-in-20-z2.arcor-online.net
 [151.189.8.85]) by mx.arcor.de (Postfix) with ESMTP id 69F593AEAD1
 for <bug-gnu-emacs@HIDDEN>; Thu,  4 Sep 2014 20:44:58 +0200 (CEST)
Received: from mail-in-03.arcor-online.net (mail-in-03.arcor-online.net
 [151.189.21.43])
 by mail-in-20-z2.arcor-online.net (Postfix) with ESMTP id 6364B834074
 for <bug-gnu-emacs@HIDDEN>; Thu,  4 Sep 2014 20:44:58 +0200 (CEST)
X-Greylist: Passed host: 217.235.38.37
X-DKIM: Sendmail DKIM Filter v2.8.2 mail-in-03.arcor-online.net 4D7CAD80D3
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=nexgo.de; s=mail-in;
 t=1409856298; bh=zLwuNNhyPrbQ+cI4J/e2viutBwEXI2uMfh5Y8RA2918=;
 h=From:To:Subject:Date:Message-ID:MIME-Version:Content-Type;
 b=NXIeScAhdiHstCw3+PbZ9S8ck7KCjflwokfNwyVJo92heq3V8DPtbrosddfIV2UvD
 JDR/dV0TXR7/6ndz8Lp/zP2naPSaC7/kZ0ICOuzdoQS0iePZb5+cmYA0RiRPWAUFue
 jxkp/Fynngmz5Ksmp0C4yks0lUni2gbx4BFxRVVs=
Received: from Rainer.invalid (pD9EB2625.dip0.t-ipconnect.de [217.235.38.37])
 (Authenticated sender: stromeko@HIDDEN)
 by mail-in-03.arcor-online.net (Postfix) with ESMTPSA id 4D7CAD80D3
 for <bug-gnu-emacs@HIDDEN>; Thu,  4 Sep 2014 20:44:58 +0200 (CEST)
From: Achim Gratz <Stromeko@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3.93; bat-mode.el
Date: Thu, 04 Sep 2014 20:44:50 +0200
Message-ID: <87mwaf2pjx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.93 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)


In GNU Emacs 24.3.93.1 (i686-pc-linux-gnu, GTK+ Version 3.12.2)
 of 2014-08-24 on Rainer.invalid
Windowing system distributor `The X.Org Foundation', version 11.0.11403901
System Description:	openSUSE 13.1 (Bottle) (i586)

The fontlock pattern for environment variables ins bat-mode.el is

        ("%\\(\\w+\\)%?"
         (1 font-lock-variable-name-face))
        ("!\\(\\w+\\)!?"                ; delayed-expansion !variable!
         (1 font-lock-variable-name-face))

For CMD.EXE at least from Windows 7 onward (I've also tested with the
cmd.exe that comes with Wine), the name of an environment variable can
actually be any character including shell special characters (which
you'd then have to quote separately).  While it's possible to define a
variable that has a "%" character in its name, it can not be used it in
cmd itself since it never gets expanded, so the easiest replacement
pattern would be

        ("%\\([^%]+\\)%?"
         (1 font-lock-variable-name-face))
        ("!\\([^!%]+\\)!?"                ; delayed-expansion !variable!
         (1 font-lock-variable-name-face))

I've noticed this discrepancy when using variables with underscores in
their name, which only fontified the part up to the first underscore
correctly.


Regards,
Achim.
-- 
+<[Q+ Matrix-12 WAVE#46+305 Neuron microQkb Andromeda XTk Blofeld]>+

Factory and User Sound Singles for Waldorf Q+, Q and microQ:
http://Synth.Stromeko.net/Downloads.html#WaldorfSounds




Acknowledgement sent to Achim Gratz <Stromeko@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#18405; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.